// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/List.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.marker;

import java.util.Stack;


@SuppressWarnings("fallthrough")
public class List extends JFlexAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int inLatinItem1 = 2;
  public static final int inLatin = 4;
  public static final int inLetter = 6;
  public static final int inNumber = 8;
  public static final int inSubNumber = 10;
  public static final int inVirgolette = 12;
  public static final int inSkip = 14;
  public static final int inPre = 16;
  public static final int inTable = 18;
  public static final int inParole = 20;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  1,  2,  2,  3,  3,  3,  3,  3,  3,  3,  3,  4,  4,  5,  5, 
     6,  6,  7,  7,  8, 8
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\36\u0200\1\u0300\1\u0400\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\0\1\1\1\2\22\0\1\1"+
    "\1\0\1\3\3\0\1\4\1\0\1\5\1\6\3\0"+
    "\1\7\1\10\1\11\1\12\1\13\10\14\1\15\1\16"+
    "\1\17\1\0\1\20\2\0\1\21\1\22\1\23\1\24"+
    "\1\25\1\26\1\27\1\30\1\31\1\32\1\33\1\34"+
    "\1\35\1\36\1\37\1\40\1\41\1\42\1\43\1\44"+
    "\1\45\1\46\1\47\1\50\1\51\1\52\4\0\1\7"+
    "\1\0\1\53\1\54\1\55\1\56\1\57\1\60\1\61"+
    "\1\62\1\63\1\64\1\65\1\66\1\67\1\70\1\71"+
    "\1\72\1\73\1\74\1\75\1\76\1\77\1\100\1\101"+
    "\1\102\1\103\1\104\60\0\1\3\204\0\2\31\115\0"+
    "\1\43\u0182\0\1\1\20\0\2\7\7\0\1\3\u010d\0"+
    "\1\33\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1280];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\13\0\100\1\3\2\5\1\204\0\1\3\16\0\1\4"+
    "\15\0\1\5\6\0\1\6\24\0\1\7\1\10\5\0"+
    "\1\11\62\0\1\12\6\0\1\13\1\14\101\0\1\13"+
    "\2\14\72\0\1\15\227\0\1\16\145\0\1\17\10\0"+
    "\1\20\55\0\1\21\74\0\1\22\45\0\1\23\15\0"+
    "\1\24\4\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[892];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\105\0\212\0\317\0\u0114\0\u0159\0\u019e\0\u01e3"+
    "\0\u0228\0\u026d\0\u02b2\0\u02f7\0\u033c\0\u0381\0\u03c6\0\u040b"+
    "\0\u0450\0\u0495\0\u04da\0\u051f\0\u0564\0\u05a9\0\u05ee\0\u0633"+
    "\0\u0678\0\u06bd\0\u0702\0\u0747\0\u078c\0\u07d1\0\u0816\0\u085b"+
    "\0\u08a0\0\u08e5\0\u092a\0\u096f\0\u09b4\0\u09f9\0\u0a3e\0\u0a83"+
    "\0\u0ac8\0\u0b0d\0\u0b52\0\u0b97\0\u0bdc\0\u0c21\0\u0c66\0\u0cab"+
    "\0\u0cf0\0\u0d35\0\u0d7a\0\u0dbf\0\u0e04\0\u0e49\0\u0e8e\0\u0ed3"+
    "\0\u0f18\0\u0f5d\0\u0fa2\0\u0fe7\0\u102c\0\u1071\0\u10b6\0\u10fb"+
    "\0\u1140\0\u1185\0\u11ca\0\u120f\0\u1254\0\u1299\0\u12de\0\u1323"+
    "\0\u1368\0\u13ad\0\u13f2\0\u02f7\0\u1437\0\u147c\0\u14c1\0\u1506"+
    "\0\u154b\0\u1590\0\u15d5\0\u161a\0\u165f\0\u16a4\0\u033c\0\u0381"+
    "\0\u03c6\0\u0450\0\u16e9\0\u172e\0\u1773\0\u040b\0\u17b8\0\u17fd"+
    "\0\u1842\0\u1887\0\u0495\0\u04da\0\u051f\0\u0564\0\u05a9\0\u05ee"+
    "\0\u0633\0\u0678\0\u06bd\0\u0702\0\u0747\0\u078c\0\u07d1\0\u0816"+
    "\0\u085b\0\u08a0\0\u08e5\0\u092a\0\u096f\0\u09b4\0\u09f9\0\u0a3e"+
    "\0\u0a83\0\u0ac8\0\u0b0d\0\u0b52\0\u0b97\0\u0bdc\0\u0c21\0\u0c66"+
    "\0\u0cab\0\u0cf0\0\u0d35\0\u0d7a\0\u0dbf\0\u0e04\0\u0e49\0\u0e8e"+
    "\0\u0ed3\0\u0f18\0\u0f5d\0\u0fa2\0\u0fe7\0\u102c\0\u1071\0\u10b6"+
    "\0\u10fb\0\u1140\0\u1185\0\u11ca\0\u120f\0\u1254\0\u1299\0\u12de"+
    "\0\u1323\0\u1368\0\u13ad\0\u13f2\0\u18cc\0\u1911\0\u1956\0\u199b"+
    "\0\u19e0\0\u1a25\0\u1a6a\0\u1aaf\0\u1af4\0\u1b39\0\u1b7e\0\u1bc3"+
    "\0\u1c08\0\u1c4d\0\u1c92\0\u1cd7\0\u1d1c\0\u1d61\0\u1da6\0\u1deb"+
    "\0\u1e30\0\u1e75\0\u1eba\0\u1eff\0\u1f44\0\u1f89\0\u1fce\0\u2013"+
    "\0\u2058\0\u209d\0\u20e2\0\u2127\0\u216c\0\u21b1\0\u21f6\0\u223b"+
    "\0\u2280\0\u22c5\0\u230a\0\u234f\0\u2394\0\u23d9\0\u241e\0\u2463"+
    "\0\u24a8\0\u24ed\0\u2532\0\u2577\0\u25bc\0\u2601\0\u2646\0\u268b"+
    "\0\u26d0\0\u2715\0\u275a\0\u279f\0\u27e4\0\u2829\0\u286e\0\u02f7"+
    "\0\u28b3\0\u28f8\0\u293d\0\u2982\0\u29c7\0\u2a0c\0\u2a51\0\u2a96"+
    "\0\u2adb\0\u2b20\0\u2b65\0\u2baa\0\u2bef\0\u2c34\0\u02f7\0\u2c79"+
    "\0\u2cbe\0\u2d03\0\u2d48\0\u2d8d\0\u2dd2\0\u2e17\0\u2e5c\0\u2ea1"+
    "\0\u2ee6\0\u2f2b\0\u2f70\0\u2fb5\0\u02f7\0\u2ffa\0\u303f\0\u3084"+
    "\0\u30c9\0\u310e\0\u3153\0\u02f7\0\u3198\0\u31dd\0\u3222\0\u3267"+
    "\0\u32ac\0\u32f1\0\u3336\0\u337b\0\u33c0\0\u3405\0\u344a\0\u348f"+
    "\0\u34d4\0\u3519\0\u355e\0\u35a3\0\u35e8\0\u362d\0\u3672\0\u36b7"+
    "\0\u02f7\0\u02f7\0\u36fc\0\u3741\0\u3786\0\u37cb\0\u3810\0\u02f7"+
    "\0\u3855\0\u389a\0\u38df\0\u3924\0\u3969\0\u39ae\0\u39f3\0\u3a38"+
    "\0\u02f7\0\u3a7d\0\u3ac2\0\u3b07\0\u3b4c\0\u3b91\0\u3bd6\0\u3c1b"+
    "\0\u3c60\0\u3ca5\0\u3cea\0\u3d2f\0\u3d74\0\u3db9\0\u3dfe\0\u3e43"+
    "\0\u3e88\0\u3ecd\0\u3f12\0\u3f57\0\u3f9c\0\u3fe1\0\u4026\0\u406b"+
    "\0\u40b0\0\u40f5\0\u413a\0\u417f\0\u41c4\0\u4209\0\u424e\0\u4293"+
    "\0\u42d8\0\u431d\0\u4362\0\u43a7\0\u43ec\0\u4431\0\u4476\0\u44bb"+
    "\0\u4500\0\u4545\0\u02f7\0\u458a\0\u45cf\0\u4614\0\u4659\0\u469e"+
    "\0\u46e3\0\u4728\0\u476d\0\u47b2\0\u47f7\0\u483c\0\u4881\0\u48c6"+
    "\0\u490b\0\u4950\0\u4995\0\u49da\0\u4a1f\0\u4a64\0\u4aa9\0\u4aee"+
    "\0\u4b33\0\u4b78\0\u4bbd\0\u4c02\0\u4c47\0\u4c8c\0\u4cd1\0\u4d16"+
    "\0\u4d5b\0\u4da0\0\u4de5\0\u4e2a\0\u4e6f\0\u4eb4\0\u4ef9\0\u4f3e"+
    "\0\u4f83\0\u4fc8\0\u500d\0\u5052\0\u5097\0\u50dc\0\u5121\0\u5166"+
    "\0\u51ab\0\u51f0\0\u5235\0\u527a\0\u52bf\0\u5304\0\u5349\0\u538e"+
    "\0\u53d3\0\u5418\0\u545d\0\u54a2\0\u54e7\0\u552c\0\u5571\0\u55b6"+
    "\0\u55fb\0\u5640\0\u5685\0\u56ca\0\u570f\0\u5754\0\u5799\0\u57de"+
    "\0\u5823\0\u5868\0\u58ad\0\u58f2\0\u02f7\0\u5937\0\u02f7\0\u597c"+
    "\0\u59c1\0\u5a06\0\u5a4b\0\u5a90\0\u5ad5\0\u5b1a\0\u5b5f\0\u5ba4"+
    "\0\u5be9\0\u5c2e\0\u5c73\0\u5cb8\0\u5cfd\0\u5d42\0\u5d87\0\u5dcc"+
    "\0\u5e11\0\u5e56\0\u5e9b\0\u5ee0\0\u5f25\0\u5f6a\0\u5faf\0\u5ff4"+
    "\0\u6039\0\u607e\0\u60c3\0\u6108\0\u614d\0\u6192\0\u61d7\0\u621c"+
    "\0\u6261\0\u62a6\0\u62eb\0\u6330\0\u6375\0\u63ba\0\u63ff\0\u6444"+
    "\0\u6489\0\u64ce\0\u6513\0\u6558\0\u659d\0\u65e2\0\u6627\0\u666c"+
    "\0\u66b1\0\u66f6\0\u673b\0\u6780\0\u67c5\0\u680a\0\u684f\0\u6894"+
    "\0\u68d9\0\u691e\0\u6963\0\u69a8\0\u69ed\0\u6a32\0\u6a77\0\u6abc"+
    "\0\u6b01\0\u6b46\0\u6b8b\0\u6bd0\0\u6c15\0\u6c5a\0\u6c9f\0\u6ce4"+
    "\0\u6d29\0\u6d6e\0\u6db3\0\u6df8\0\u6e3d\0\u6e82\0\u6ec7\0\u6f0c"+
    "\0\u6f51\0\u6f96\0\u6fdb\0\u7020\0\u7065\0\u70aa\0\u70ef\0\u7134"+
    "\0\u7179\0\u71be\0\u7203\0\u7248\0\u728d\0\u72d2\0\u7317\0\u735c"+
    "\0\u73a1\0\u73e6\0\u742b\0\u7470\0\u74b5\0\u74fa\0\u753f\0\u7584"+
    "\0\u75c9\0\u760e\0\u7653\0\u7698\0\u76dd\0\u7722\0\u7767\0\u77ac"+
    "\0\u77f1\0\u7836\0\u787b\0\u78c0\0\u7905\0\u794a\0\u798f\0\u79d4"+
    "\0\u7a19\0\u7a5e\0\u7aa3\0\u7ae8\0\u7b2d\0\u7b72\0\u7bb7\0\u7bfc"+
    "\0\u7c41\0\u7c86\0\u7ccb\0\u7d10\0\u7d55\0\u7d9a\0\u7ddf\0\u7e24"+
    "\0\u7e69\0\u7eae\0\u7ef3\0\u7f38\0\u7f7d\0\u7fc2\0\u8007\0\u804c"+
    "\0\u8091\0\u80d6\0\u811b\0\u8160\0\u81a5\0\u81ea\0\u822f\0\u8274"+
    "\0\u82b9\0\u82fe\0\u8343\0\u8388\0\u83cd\0\u8412\0\u8457\0\u849c"+
    "\0\u84e1\0\u8526\0\u856b\0\u85b0\0\u85f5\0\u863a\0\u867f\0\u86c4"+
    "\0\u8709\0\u874e\0\u8793\0\u87d8\0\u881d\0\u8862\0\u88a7\0\u88ec"+
    "\0\u8931\0\u8976\0\u89bb\0\u8a00\0\u8a45\0\u8a8a\0\u8acf\0\u8b14"+
    "\0\u8b59\0\u8b9e\0\u8be3\0\u8c28\0\u8c6d\0\u8cb2\0\u8cf7\0\u8d3c"+
    "\0\u8d81\0\u8dc6\0\u8e0b\0\u8e50\0\u8e95\0\u8eda\0\u8f1f\0\u8f64"+
    "\0\u8fa9\0\u8fee\0\u9033\0\u9078\0\u90bd\0\u9102\0\u9147\0\u918c"+
    "\0\u91d1\0\u02f7\0\u9216\0\u925b\0\u92a0\0\u92e5\0\u932a\0\u936f"+
    "\0\u93b4\0\u93f9\0\u943e\0\u9483\0\u94c8\0\u950d\0\u9552\0\u9597"+
    "\0\u95dc\0\u9621\0\u9666\0\u96ab\0\u96f0\0\u9735\0\u977a\0\u97bf"+
    "\0\u9804\0\u9849\0\u988e\0\u98d3\0\u9918\0\u995d\0\u99a2\0\u99e7"+
    "\0\u9a2c\0\u9a71\0\u9ab6\0\u9afb\0\u9b40\0\u9b85\0\u9bca\0\u9c0f"+
    "\0\u9c54\0\u9c99\0\u9cde\0\u9d23\0\u9d68\0\u9dad\0\u9df2\0\u9e37"+
    "\0\u9e7c\0\u9ec1\0\u9f06\0\u9f4b\0\u9f90\0\u9fd5\0\ua01a\0\ua05f"+
    "\0\ua0a4\0\ua0e9\0\ua12e\0\ua173\0\ua1b8\0\ua1fd\0\ua242\0\ua287"+
    "\0\ua2cc\0\ua311\0\ua356\0\ua39b\0\ua3e0\0\ua425\0\ua46a\0\ua4af"+
    "\0\ua4f4\0\ua539\0\ua57e\0\ua5c3\0\ua608\0\ua64d\0\ua692\0\ua6d7"+
    "\0\ua71c\0\ua761\0\ua7a6\0\ua7eb\0\ua830\0\ua875\0\ua8ba\0\ua8ff"+
    "\0\ua944\0\ua989\0\ua9ce\0\uaa13\0\uaa58\0\uaa9d\0\uaae2\0\uab27"+
    "\0\uab6c\0\uabb1\0\uabf6\0\uac3b\0\uac80\0\uacc5\0\uad0a\0\uad4f"+
    "\0\uad94\0\uadd9\0\uae1e\0\uae63\0\uaea8\0\uaeed\0\uaf32\0\uaf77"+
    "\0\u02f7\0\uafbc\0\ub001\0\ub046\0\ub08b\0\ub0d0\0\ub115\0\ub15a"+
    "\0\ub19f\0\ub1e4\0\ub229\0\ub26e\0\ub2b3\0\ub2f8\0\ub33d\0\ub382"+
    "\0\ub3c7\0\ub40c\0\ub451\0\ub496\0\ub4db\0\ub520\0\ub565\0\ub5aa"+
    "\0\ub5ef\0\ub634\0\ub679\0\ub6be\0\ub703\0\ub748\0\ub78d\0\ub7d2"+
    "\0\ub817\0\ub85c\0\ub8a1\0\ub8e6\0\ub92b\0\ub970\0\ub9b5\0\ub9fa"+
    "\0\uba3f\0\uba84\0\ubac9\0\ubb0e\0\ubb53\0\ubb98\0\u02f7\0\ubbdd"+
    "\0\ubc22\0\ubc67\0\ubcac\0\ubcf1\0\ubd36\0\ubd7b\0\ubdc0\0\ube05"+
    "\0\ube4a\0\ube8f\0\ubed4\0\ubf19\0\ubf5e\0\ubfa3\0\ubfe8\0\uc02d"+
    "\0\uc072\0\uc0b7\0\uc0fc\0\uc141\0\uc186\0\uc1cb\0\uc210\0\uc255"+
    "\0\uc29a\0\uc2df\0\uc324\0\uc369\0\uc3ae\0\uc3f3\0\uc438\0\uc47d"+
    "\0\uc4c2\0\uc507\0\uc54c\0\uc591\0\uc5d6\0\uc61b\0\uc660\0\uc6a5"+
    "\0\uc6ea\0\uc72f\0\uc774\0\uc7b9\0\uc7fe\0\uc843\0\uc888\0\uc8cd"+
    "\0\uc912\0\uc957\0\uc99c\0\uc9e1\0\uca26\0\uca6b\0\ucab0\0\ucaf5"+
    "\0\ucb3a\0\ucb7f\0\ucbc4\0\u02f7\0\ucc09\0\ucc4e\0\ucc93\0\uccd8"+
    "\0\ucd1d\0\ucd62\0\ucda7\0\ucdec\0\uce31\0\uce76\0\ucebb\0\ucf00"+
    "\0\ucf45\0\ucf8a\0\ucfcf\0\ud014\0\ud059\0\ud09e\0\ud0e3\0\ud128"+
    "\0\ud16d\0\ud1b2\0\ud1f7\0\ud23c\0\ud281\0\ud2c6\0\ud30b\0\ud350"+
    "\0\ud395\0\ud3da\0\ud41f\0\ud464\0\ud4a9\0\ud4ee\0\ud533\0\ud578"+
    "\0\ud5bd\0\u02f7\0\ud602\0\ud647\0\ud68c\0\ud6d1\0\ud716\0\ud75b"+
    "\0\ud7a0\0\ud7e5\0\ud82a\0\ud86f\0\ud8b4\0\ud8f9\0\ud93e\0\u02f7"+
    "\0\ud983\0\ud9c8\0\uda0d\0\uda52";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[892];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\1\14\2\15\1\16\1\17\10\14\1\20\1\14\1\21"+
    "\66\14\1\22\1\23\1\16\1\24\1\25\5\14\1\26"+
    "\1\27\1\20\1\14\1\21\1\14\1\30\1\31\1\32"+
    "\1\33\1\34\1\35\1\36\1\37\1\40\1\41\1\42"+
    "\1\43\1\44\1\45\1\46\1\47\1\50\1\51\1\52"+
    "\1\53\1\54\1\55\1\56\1\57\1\60\1\61\1\62"+
    "\1\63\1\64\1\65\1\66\1\67\1\70\1\71\1\72"+
    "\1\73\1\74\1\75\1\76\1\77\1\100\1\101\1\102"+
    "\1\103\1\104\1\105\1\106\1\107\1\110\1\111\1\112"+
    "\1\113\5\114\1\115\55\114\1\116\126\114\17\14\1\117"+
    "\104\14\1\120\104\14\1\121\104\14\1\122\104\14\1\123"+
    "\65\14\15\0\1\124\75\0\1\125\1\0\1\126\202\0"+
    "\2\127\1\130\1\131\12\0\1\132\66\0\2\130\1\0"+
    "\1\133\12\0\1\134\123\0\1\135\31\0\1\135\15\0"+
    "\2\136\1\0\1\137\12\0\1\140\104\0\1\130\10\0"+
    "\1\141\4\0\1\142\24\0\1\141\4\0\1\142\16\0"+
    "\1\143\1\144\1\130\1\145\1\146\5\0\1\147\1\150"+
    "\2\0\1\132\1\0\1\151\1\152\1\153\1\154\1\155"+
    "\1\156\1\157\1\160\1\161\1\162\1\163\1\164\1\165"+
    "\1\166\1\167\1\170\1\171\1\172\1\173\1\174\1\175"+
    "\1\176\1\177\1\200\1\201\1\202\1\203\1\204\1\205"+
    "\1\206\1\207\1\210\1\211\1\212\1\213\1\214\1\215"+
    "\1\216\1\217\1\220\1\221\1\222\1\223\1\224\1\225"+
    "\1\226\1\227\1\230\1\231\1\232\1\233\1\234\1\0"+
    "\2\144\1\130\1\235\1\236\5\0\2\237\2\0\1\132"+
    "\1\0\1\151\1\152\1\153\1\154\1\155\1\156\1\157"+
    "\1\160\1\161\1\162\1\163\1\164\1\165\1\166\1\167"+
    "\1\170\1\171\1\172\1\173\1\174\1\175\1\176\1\177"+
    "\1\200\1\201\1\202\1\240\1\204\1\205\1\206\1\207"+
    "\1\210\1\211\1\212\1\213\1\214\1\215\1\216\1\217"+
    "\1\220\1\221\1\222\1\223\1\224\1\225\1\226\1\227"+
    "\1\230\1\231\1\232\1\233\1\234\36\0\1\241\31\0"+
    "\1\241\35\0\1\242\1\243\1\244\1\245\1\246\1\247"+
    "\1\250\1\251\1\252\1\253\1\254\1\255\1\256\1\257"+
    "\1\260\1\261\1\262\1\263\1\264\1\265\1\266\1\267"+
    "\1\270\1\271\1\272\1\273\1\274\1\275\1\276\1\277"+
    "\1\300\1\301\1\302\1\303\1\304\1\305\1\306\1\307"+
    "\1\310\1\311\1\312\1\313\1\314\1\315\1\316\1\317"+
    "\1\320\1\321\1\322\1\323\1\324\1\325\1\0\1\326"+
    "\2\0\1\327\1\0\1\330\1\331\1\332\1\0\3\333"+
    "\5\0\1\334\1\0\1\335\11\0\1\336\1\337\1\0"+
    "\1\340\1\0\1\341\1\342\1\343\1\344\5\0\1\334"+
    "\1\0\1\335\11\0\1\336\1\337\1\0\1\340\1\0"+
    "\1\341\1\342\1\343\1\344\5\0\1\345\2\0\1\346"+
    "\1\0\1\347\1\350\1\332\1\0\3\333\5\0\1\351"+
    "\1\0\1\352\11\0\1\353\1\354\1\0\1\355\1\0"+
    "\1\356\1\357\1\360\1\361\5\0\1\351\1\0\1\352"+
    "\11\0\1\353\1\354\1\0\1\355\1\0\1\356\1\357"+
    "\1\360\1\361\25\0\1\362\31\363\1\362\31\363\21\0"+
    "\1\363\1\364\31\363\1\364\30\363\6\0\1\365\1\0"+
    "\1\365\12\0\1\366\31\0\1\366\53\0\1\367\31\0"+
    "\1\367\53\0\1\370\31\0\1\370\53\0\1\371\31\0"+
    "\1\371\53\0\1\372\31\0\1\372\53\0\1\373\31\0"+
    "\1\373\30\0\1\374\1\0\1\374\20\0\1\375\31\0"+
    "\1\375\53\0\1\376\31\0\1\376\53\0\1\377\31\0"+
    "\1\377\25\0\1\365\1\0\1\365\23\0\1\u0100\31\0"+
    "\1\u0100\53\0\1\u0101\31\0\1\u0101\53\0\1\u0102\31\0"+
    "\1\u0102\53\0\1\u0103\31\0\1\u0103\53\0\1\u0104\31\0"+
    "\1\u0104\53\0\1\u0105\31\0\1\u0105\53\0\1\u0106\31\0"+
    "\1\u0106\53\0\1\u0107\31\0\1\u0107\53\0\1\u0108\31\0"+
    "\1\u0108\53\0\1\u0109\31\0\1\u0109\13\0\1\365\1\0"+
    "\1\365\35\0\1\u010a\31\0\1\u010a\53\0\1\u010b\31\0"+
    "\1\u010b\11\0\1\365\1\0\1\365\37\0\1\u010c\31\0"+
    "\1\u010c\53\0\1\u010d\31\0\1\u010d\53\0\1\u010e\31\0"+
    "\1\u010e\1\0\1\u010f\2\0\1\u0110\1\0\1\u0111\1\u010f"+
    "\1\u0111\10\0\1\362\31\363\1\362\31\363\1\0\1\u010f"+
    "\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112\10\0\1\363"+
    "\1\364\31\363\1\364\30\363\1\0\1\u010f\2\0\1\u0110"+
    "\1\0\1\365\1\u010f\1\365\12\0\1\366\31\0\1\366"+
    "\30\0\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112"+
    "\13\0\1\367\31\0\1\367\27\0\1\u010f\2\0\1\u0110"+
    "\1\0\1\u0112\1\u010f\1\u0112\14\0\1\370\31\0\1\370"+
    "\26\0\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112"+
    "\15\0\1\371\31\0\1\371\25\0\1\u010f\2\0\1\u0110"+
    "\1\0\1\u0112\1\u010f\1\u0112\16\0\1\372\31\0\1\372"+
    "\24\0\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112"+
    "\17\0\1\373\31\0\1\373\23\0\1\u010f\2\0\1\u0110"+
    "\1\0\1\374\1\u010f\1\374\20\0\1\375\31\0\1\u0113"+
    "\14\0\1\u0114\1\0\1\u0114\3\0\1\u010f\2\0\1\u0110"+
    "\1\0\1\u0112\1\u010f\1\u0112\21\0\1\376\31\0\1\376"+
    "\21\0\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112"+
    "\22\0\1\377\31\0\1\377\20\0\1\u010f\2\0\1\u0110"+
    "\1\0\1\365\1\u010f\1\365\23\0\1\u0100\31\0\1\u0100"+
    "\17\0\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112"+
    "\24\0\1\u0101\31\0\1\u0101\16\0\1\u010f\2\0\1\u0110"+
    "\1\0\1\u0112\1\u010f\1\u0112\25\0\1\u0102\31\0\1\u0102"+
    "\15\0\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112"+
    "\26\0\1\u0103\31\0\1\u0103\14\0\1\u010f\2\0\1\u0110"+
    "\1\0\1\u0112\1\u010f\1\u0112\27\0\1\u0104\31\0\1\u0104"+
    "\13\0\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112"+
    "\30\0\1\u0105\31\0\1\u0105\12\0\1\u010f\2\0\1\u0110"+
    "\1\0\1\u0112\1\u010f\1\u0112\31\0\1\u0106\31\0\1\u0106"+
    "\11\0\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112"+
    "\32\0\1\u0107\31\0\1\u0107\10\0\1\u010f\2\0\1\u0110"+
    "\1\0\1\u0112\1\u010f\1\u0112\33\0\1\u0108\31\0\1\u0108"+
    "\7\0\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112"+
    "\34\0\1\u0109\31\0\1\u0109\6\0\1\u010f\2\0\1\u0110"+
    "\1\0\1\365\1\u010f\1\365\35\0\1\u010a\14\0\1\u0114"+
    "\14\0\1\u0115\1\0\1\u0114\3\0\1\u010f\2\0\1\u0110"+
    "\1\0\1\u0112\1\u010f\1\u0112\36\0\1\u010b\31\0\1\u010b"+
    "\4\0\1\u010f\2\0\1\u0110\1\0\1\365\1\u010f\1\365"+
    "\37\0\1\u010c\12\0\1\u0114\14\0\1\u0114\1\0\1\u0116"+
    "\3\0\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112"+
    "\40\0\1\u010d\31\0\1\u010d\2\0\1\u010f\2\0\1\u0110"+
    "\1\0\1\u0112\1\u010f\1\u0112\41\0\1\u010e\31\0\1\u010e"+
    "\63\0\1\u0117\27\0\1\u0118\1\0\1\u0118\105\0\1\u0119"+
    "\104\0\1\u011a\104\0\1\u011b\104\0\1\u011c\104\0\1\u011d"+
    "\74\0\2\124\1\0\1\u011e\12\0\1\u011f\150\0\1\u0120"+
    "\104\0\1\u0121\57\0\1\u0122\31\0\1\u0122\51\0\1\u0123"+
    "\31\0\1\u0123\37\0\1\u0124\31\0\1\u0124\66\0\1\u0125"+
    "\31\0\1\u0125\25\0\1\u0126\110\0\1\u0127\131\0\1\u0128"+
    "\31\0\1\u0128\46\0\1\u0129\31\0\1\u0129\35\0\1\242"+
    "\1\243\1\244\1\245\1\246\1\247\1\250\1\251\1\252"+
    "\1\253\1\254\1\255\1\256\1\257\1\260\1\261\1\262"+
    "\1\263\1\264\1\265\1\266\1\267\1\270\1\271\1\272"+
    "\1\273\1\u012a\1\275\1\276\1\277\1\300\1\301\1\302"+
    "\1\303\1\304\1\305\1\306\1\307\1\310\1\311\1\312"+
    "\1\313\1\314\1\315\1\316\1\317\1\320\1\321\1\322"+
    "\1\323\1\324\1\325\1\0\1\345\2\0\1\346\1\0"+
    "\1\347\1\350\1\u012b\1\0\3\u012c\5\0\1\351\1\0"+
    "\1\352\11\0\1\353\1\354\1\0\1\355\1\0\1\356"+
    "\1\357\1\360\1\361\5\0\1\351\1\0\1\352\11\0"+
    "\1\353\1\354\1\0\1\355\1\0\1\356\1\357\1\360"+
    "\1\361\5\0\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f"+
    "\1\u0112\10\0\1\362\31\363\1\362\31\363\22\0\1\u012d"+
    "\31\0\1\u012d\51\0\1\u012e\31\u012f\1\u012e\31\u012f\21\0"+
    "\1\u012f\1\u0130\31\u012f\1\u0130\30\u012f\23\0\1\u0131\31\0"+
    "\1\u0131\53\0\1\u0132\31\0\1\u0132\53\0\1\u0133\31\0"+
    "\1\u0133\53\0\1\u0134\31\0\1\u0134\53\0\1\u0135\31\0"+
    "\1\u0135\53\0\1\u0136\31\0\1\u0136\53\0\1\u0137\31\0"+
    "\1\u0137\53\0\1\u0138\31\0\1\u0138\53\0\1\u0139\31\0"+
    "\1\u0139\53\0\1\u013a\31\0\1\u013a\53\0\1\u013b\31\0"+
    "\1\u013b\53\0\1\u013c\31\0\1\u013c\53\0\1\u013d\31\0"+
    "\1\u013d\53\0\1\u013e\31\0\1\u013e\53\0\1\u013f\31\0"+
    "\1\u013f\53\0\1\u0140\31\0\1\u0140\53\0\1\u0141\31\0"+
    "\1\u0141\53\0\1\u0142\31\0\1\u0142\53\0\1\u0143\31\0"+
    "\1\u0143\53\0\1\u0144\31\0\1\u0144\53\0\1\u0145\31\0"+
    "\1\u0145\53\0\1\u0146\31\0\1\u0146\53\0\1\u0147\31\0"+
    "\1\u0147\53\0\1\u0148\31\0\1\u0148\1\0\1\u0149\2\0"+
    "\1\u014a\1\0\1\u0111\1\u0149\11\0\1\u012e\31\u012f\1\u012e"+
    "\31\u012f\1\0\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149"+
    "\11\0\1\u012f\1\u0130\31\u012f\1\u0130\30\u012f\1\0\1\u0149"+
    "\2\0\1\u014a\1\0\1\u0112\1\u0149\13\0\1\u0131\31\0"+
    "\1\u0131\30\0\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149"+
    "\14\0\1\u0132\31\0\1\u0132\27\0\1\u0149\2\0\1\u014a"+
    "\1\0\1\u0112\1\u0149\15\0\1\u0133\31\0\1\u0133\26\0"+
    "\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149\16\0\1\u0134"+
    "\31\0\1\u0134\25\0\1\u0149\2\0\1\u014a\1\0\1\u0112"+
    "\1\u0149\17\0\1\u0135\31\0\1\u0135\24\0\1\u0149\2\0"+
    "\1\u014a\1\0\1\u0112\1\u0149\20\0\1\u0136\31\0\1\u0136"+
    "\23\0\1\u0149\2\0\1\u014a\1\0\1\u014b\1\u0149\21\0"+
    "\1\u0137\31\0\1\u014c\14\0\1\u014d\1\0\1\u014d\3\0"+
    "\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149\22\0\1\u0138"+
    "\31\0\1\u0138\21\0\1\u0149\2\0\1\u014a\1\0\1\u0112"+
    "\1\u0149\23\0\1\u0139\31\0\1\u0139\20\0\1\u0149\2\0"+
    "\1\u014a\1\0\1\u0112\1\u0149\24\0\1\u013a\31\0\1\u013a"+
    "\17\0\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149\25\0"+
    "\1\u013b\31\0\1\u013b\16\0\1\u0149\2\0\1\u014a\1\0"+
    "\1\u0112\1\u0149\26\0\1\u013c\31\0\1\u013c\15\0\1\u0149"+
    "\2\0\1\u014a\1\0\1\u0112\1\u0149\27\0\1\u013d\31\0"+
    "\1\u013d\14\0\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149"+
    "\30\0\1\u013e\31\0\1\u013e\13\0\1\u0149\2\0\1\u014a"+
    "\1\0\1\u0112\1\u0149\31\0\1\u013f\31\0\1\u013f\12\0"+
    "\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149\32\0\1\u0140"+
    "\31\0\1\u0140\11\0\1\u0149\2\0\1\u014a\1\0\1\u0112"+
    "\1\u0149\33\0\1\u0141\31\0\1\u0141\10\0\1\u0149\2\0"+
    "\1\u014a\1\0\1\u0112\1\u0149\34\0\1\u0142\31\0\1\u0142"+
    "\7\0\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149\35\0"+
    "\1\u0143\31\0\1\u0143\6\0\1\u0149\2\0\1\u014a\1\0"+
    "\1\u014b\1\u0149\36\0\1\u0144\14\0\1\u014d\14\0\1\u014e"+
    "\1\0\1\u014d\3\0\1\u0149\2\0\1\u014a\1\0\1\u0112"+
    "\1\u0149\37\0\1\u0145\31\0\1\u0145\4\0\1\u0149\2\0"+
    "\1\u014a\1\0\1\u014b\1\u0149\40\0\1\u0146\12\0\1\u014d"+
    "\14\0\1\u014d\1\0\1\u014f\3\0\1\u0149\2\0\1\u014a"+
    "\1\0\1\u0112\1\u0149\41\0\1\u0147\31\0\1\u0147\2\0"+
    "\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149\42\0\1\u0148"+
    "\31\0\1\u0148\1\0\1\326\2\0\1\327\2\0\1\331"+
    "\12\0\1\334\1\0\1\335\11\0\1\336\1\337\1\0"+
    "\1\340\1\0\1\341\1\342\1\343\1\344\5\0\1\334"+
    "\1\0\1\335\11\0\1\336\1\337\1\0\1\340\1\0"+
    "\1\341\1\342\1\343\1\344\42\0\1\u0150\31\0\1\u0150"+
    "\15\0\1\331\2\0\1\u0151\15\0\1\334\1\0\1\335"+
    "\11\0\1\336\1\337\1\0\1\340\1\0\1\341\1\342"+
    "\1\343\1\344\5\0\1\334\1\0\1\335\11\0\1\336"+
    "\1\337\1\0\1\340\1\0\1\341\1\342\1\343\1\344"+
    "\17\0\1\u0152\1\u0153\71\0\1\345\2\0\1\346\1\0"+
    "\1\347\1\350\1\332\1\0\3\u0154\5\0\1\351\1\0"+
    "\1\352\11\0\1\353\1\354\1\0\1\355\1\0\1\356"+
    "\1\357\1\360\1\361\5\0\1\351\1\0\1\352\11\0"+
    "\1\353\1\354\1\0\1\355\1\0\1\356\1\357\1\360"+
    "\1\361\35\0\1\u0155\31\0\1\u0155\46\0\1\u0156\17\0"+
    "\1\u0157\11\0\1\u0156\17\0\1\u0157\44\0\1\u0158\31\0"+
    "\1\u0158\36\0\1\u0159\31\0\1\u0159\74\0\1\u015a\31\0"+
    "\1\u015a\32\0\1\u015b\31\0\1\u015b\52\0\1\u015c\31\0"+
    "\1\u015c\63\0\1\u015d\31\0\1\u015d\45\0\1\u015e\31\0"+
    "\1\u015e\22\0\1\345\2\0\1\346\2\0\1\350\12\0"+
    "\1\351\1\0\1\352\11\0\1\353\1\354\1\0\1\355"+
    "\1\0\1\356\1\357\1\360\1\361\5\0\1\351\1\0"+
    "\1\352\11\0\1\353\1\354\1\0\1\355\1\0\1\356"+
    "\1\357\1\360\1\361\42\0\1\u015f\31\0\1\u015f\15\0"+
    "\1\350\2\0\1\u0160\15\0\1\351\1\0\1\352\11\0"+
    "\1\353\1\354\1\0\1\355\1\0\1\356\1\357\1\360"+
    "\1\361\5\0\1\351\1\0\1\352\11\0\1\353\1\354"+
    "\1\0\1\355\1\0\1\356\1\357\1\360\1\361\35\0"+
    "\1\u0161\31\0\1\u0161\46\0\1\u0162\17\0\1\u0163\11\0"+
    "\1\u0162\17\0\1\u0163\44\0\1\u0164\31\0\1\u0164\36\0"+
    "\1\u0165\31\0\1\u0165\74\0\1\u0166\31\0\1\u0166\32\0"+
    "\1\u0167\31\0\1\u0167\52\0\1\u0168\31\0\1\u0168\63\0"+
    "\1\u0169\31\0\1\u0169\45\0\1\u016a\31\0\1\u016a\22\0"+
    "\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112\10\0"+
    "\1\363\31\0\1\363\32\0\1\u010f\2\0\1\u0110\1\0"+
    "\1\u0112\1\u010f\1\u0112\75\0\1\u010f\2\0\1\u0110\1\0"+
    "\1\u0112\1\u010f\1\u0112\11\0\1\363\31\0\1\363\31\0"+
    "\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112\12\0"+
    "\1\363\31\0\1\363\30\0\1\u010f\2\0\1\u0110\1\0"+
    "\1\u0112\1\u010f\1\u0112\13\0\1\363\31\0\1\363\27\0"+
    "\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112\14\0"+
    "\1\363\31\0\1\363\26\0\1\u010f\2\0\1\u0110\1\0"+
    "\1\u0112\1\u010f\1\u0112\15\0\1\363\31\0\1\363\25\0"+
    "\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112\16\0"+
    "\1\363\31\0\1\363\24\0\1\u010f\2\0\1\u0110\1\0"+
    "\1\u0112\1\u010f\1\u0112\17\0\1\363\31\0\1\363\23\0"+
    "\1\u010f\2\0\1\u0110\1\0\1\365\1\u010f\1\365\20\0"+
    "\1\u016b\31\0\1\u016b\22\0\1\u010f\2\0\1\u0110\1\0"+
    "\1\u0112\1\u010f\1\u0112\21\0\1\363\31\0\1\363\21\0"+
    "\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112\22\0"+
    "\1\363\31\0\1\363\20\0\1\u010f\2\0\1\u0110\1\0"+
    "\1\u0112\1\u010f\1\u0112\23\0\1\363\31\0\1\363\17\0"+
    "\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112\24\0"+
    "\1\363\31\0\1\363\16\0\1\u010f\2\0\1\u0110\1\0"+
    "\1\u0112\1\u010f\1\u0112\25\0\1\363\31\0\1\363\15\0"+
    "\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112\26\0"+
    "\1\363\31\0\1\363\14\0\1\u010f\2\0\1\u0110\1\0"+
    "\1\u0112\1\u010f\1\u0112\27\0\1\363\31\0\1\363\13\0"+
    "\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112\30\0"+
    "\1\363\31\0\1\363\12\0\1\u010f\2\0\1\u0110\1\0"+
    "\1\u0112\1\u010f\1\u0112\31\0\1\363\31\0\1\363\11\0"+
    "\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112\32\0"+
    "\1\363\31\0\1\363\10\0\1\u010f\2\0\1\u0110\1\0"+
    "\1\u0112\1\u010f\1\u0112\33\0\1\363\31\0\1\363\7\0"+
    "\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112\34\0"+
    "\1\363\31\0\1\363\6\0\1\u010f\2\0\1\u0110\1\0"+
    "\1\365\1\u010f\1\365\35\0\1\u016b\31\0\1\u016b\5\0"+
    "\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112\36\0"+
    "\1\363\31\0\1\363\4\0\1\u010f\2\0\1\u0110\1\0"+
    "\1\365\1\u010f\1\365\37\0\1\u016b\31\0\1\u016b\3\0"+
    "\1\u010f\2\0\1\u0110\1\0\1\u0112\1\u010f\1\u0112\40\0"+
    "\1\363\31\0\1\363\2\0\1\u010f\2\0\1\u0110\1\0"+
    "\1\u0112\1\u010f\1\u0112\41\0\1\363\31\0\1\363\1\0"+
    "\1\u010f\2\0\1\u0110\15\0\1\u016c\1\0\1\u016d\11\0"+
    "\1\u016e\1\u016f\1\0\1\u0170\1\0\1\u0171\1\u0172\1\u0173"+
    "\1\u0174\5\0\1\u016c\1\0\1\u016d\11\0\1\u016e\1\u016f"+
    "\1\0\1\u0170\1\0\1\u0171\1\u0172\1\u0173\1\u0174\42\0"+
    "\1\u0175\31\0\1\u0175\15\0\1\u010f\2\0\1\u0110\1\0"+
    "\1\365\1\u010f\1\365\20\0\1\u016b\31\0\1\u0176\14\0"+
    "\1\u0114\1\0\1\u0114\10\0\1\u014b\1\0\1\u014b\52\0"+
    "\1\u0114\14\0\1\u0114\1\0\1\u0114\3\0\1\u010f\2\0"+
    "\1\u0110\1\0\1\365\1\u010f\1\365\35\0\1\u016b\14\0"+
    "\1\u0114\14\0\1\u0176\1\0\1\u0114\3\0\1\u010f\2\0"+
    "\1\u0110\1\0\1\365\1\u010f\1\365\37\0\1\u016b\12\0"+
    "\1\u0114\14\0\1\u0114\1\0\1\u0176\10\0\1\u0118\133\0"+
    "\1\u0177\31\0\1\u0177\52\0\1\u0178\31\0\1\u0178\45\0"+
    "\1\u0179\31\0\1\u0179\52\0\1\u017a\31\0\1\u017a\57\0"+
    "\1\u017b\31\0\1\u017b\53\0\1\u017c\31\0\1\u017c\25\0"+
    "\1\u017d\100\0\1\u0121\121\0\1\u017e\31\0\1\u017e\72\0"+
    "\1\u017f\31\0\1\u017f\53\0\1\u0180\31\0\1\u0180\31\0"+
    "\1\u0181\31\0\1\u0181\60\0\1\u0182\31\0\1\u0182\62\0"+
    "\1\u0183\3\0\1\u0184\25\0\1\u0183\3\0\1\u0184\41\0"+
    "\1\u0185\31\0\1\u0185\41\0\1\u0186\31\0\1\u0186\31\0"+
    "\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149\11\0\1\u012e"+
    "\31\u012f\1\u012e\31\u012f\13\0\2\u0153\71\0\1\345\2\0"+
    "\1\346\1\0\1\347\1\350\1\u012b\1\0\3\u0154\5\0"+
    "\1\351\1\0\1\352\11\0\1\353\1\354\1\0\1\355"+
    "\1\0\1\356\1\357\1\360\1\361\5\0\1\351\1\0"+
    "\1\352\11\0\1\353\1\354\1\0\1\355\1\0\1\356"+
    "\1\357\1\360\1\361\47\0\1\u0187\31\0\1\u0187\10\0"+
    "\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149\11\0\1\u012f"+
    "\31\0\1\u012f\32\0\1\u0149\2\0\1\u014a\1\0\1\u0112"+
    "\1\u0149\76\0\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149"+
    "\12\0\1\u012f\31\0\1\u012f\31\0\1\u0149\2\0\1\u014a"+
    "\1\0\1\u0112\1\u0149\13\0\1\u012f\31\0\1\u012f\30\0"+
    "\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149\14\0\1\u012f"+
    "\31\0\1\u012f\27\0\1\u0149\2\0\1\u014a\1\0\1\u0112"+
    "\1\u0149\15\0\1\u012f\31\0\1\u012f\26\0\1\u0149\2\0"+
    "\1\u014a\1\0\1\u0112\1\u0149\16\0\1\u012f\31\0\1\u012f"+
    "\25\0\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149\17\0"+
    "\1\u012f\31\0\1\u012f\24\0\1\u0149\2\0\1\u014a\1\0"+
    "\1\u0112\1\u0149\20\0\1\u012f\31\0\1\u012f\23\0\1\u0149"+
    "\2\0\1\u014a\1\0\1\u0112\1\u0149\21\0\1\u012f\31\0"+
    "\1\u012f\22\0\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149"+
    "\22\0\1\u012f\31\0\1\u012f\21\0\1\u0149\2\0\1\u014a"+
    "\1\0\1\u0112\1\u0149\23\0\1\u012f\31\0\1\u012f\20\0"+
    "\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149\24\0\1\u012f"+
    "\31\0\1\u012f\17\0\1\u0149\2\0\1\u014a\1\0\1\u0112"+
    "\1\u0149\25\0\1\u012f\31\0\1\u012f\16\0\1\u0149\2\0"+
    "\1\u014a\1\0\1\u0112\1\u0149\26\0\1\u012f\31\0\1\u012f"+
    "\15\0\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149\27\0"+
    "\1\u012f\31\0\1\u012f\14\0\1\u0149\2\0\1\u014a\1\0"+
    "\1\u0112\1\u0149\30\0\1\u012f\31\0\1\u012f\13\0\1\u0149"+
    "\2\0\1\u014a\1\0\1\u0112\1\u0149\31\0\1\u012f\31\0"+
    "\1\u012f\12\0\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149"+
    "\32\0\1\u012f\31\0\1\u012f\11\0\1\u0149\2\0\1\u014a"+
    "\1\0\1\u0112\1\u0149\33\0\1\u012f\31\0\1\u012f\10\0"+
    "\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149\34\0\1\u012f"+
    "\31\0\1\u012f\7\0\1\u0149\2\0\1\u014a\1\0\1\u0112"+
    "\1\u0149\35\0\1\u012f\31\0\1\u012f\6\0\1\u0149\2\0"+
    "\1\u014a\1\0\1\u0112\1\u0149\36\0\1\u012f\31\0\1\u012f"+
    "\5\0\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149\37\0"+
    "\1\u012f\31\0\1\u012f\4\0\1\u0149\2\0\1\u014a\1\0"+
    "\1\u0112\1\u0149\40\0\1\u012f\31\0\1\u012f\3\0\1\u0149"+
    "\2\0\1\u014a\1\0\1\u0112\1\u0149\41\0\1\u012f\31\0"+
    "\1\u012f\2\0\1\u0149\2\0\1\u014a\1\0\1\u0112\1\u0149"+
    "\42\0\1\u012f\31\0\1\u012f\1\0\1\u0149\2\0\1\u014a"+
    "\15\0\1\u0188\1\0\1\u0189\11\0\1\u018a\1\u018b\1\0"+
    "\1\u018c\1\0\1\u018d\1\u018e\1\u018f\1\u0190\5\0\1\u0188"+
    "\1\0\1\u0189\11\0\1\u018a\1\u018b\1\0\1\u018c\1\0"+
    "\1\u018d\1\u018e\1\u018f\1\u0190\42\0\1\u0191\31\0\1\u0191"+
    "\15\0\1\u0149\2\0\1\u014a\1\0\1\u014b\1\u0149\21\0"+
    "\1\u012f\31\0\1\u0192\14\0\1\u014d\1\0\1\u014d\10\0"+
    "\1\u014b\54\0\1\u014d\14\0\1\u014d\1\0\1\u014d\3\0"+
    "\1\u0149\2\0\1\u014a\1\0\1\u014b\1\u0149\36\0\1\u012f"+
    "\14\0\1\u014d\14\0\1\u0192\1\0\1\u014d\3\0\1\u0149"+
    "\2\0\1\u014a\1\0\1\u014b\1\u0149\40\0\1\u012f\12\0"+
    "\1\u014d\14\0\1\u014d\1\0\1\u0192\24\0\1\u0193\31\0"+
    "\1\u0193\66\0\1\u0194\31\0\1\u0194\22\0\1\u0195\1\0"+
    "\1\u0195\1\0\3\u0196\76\0\1\u0197\1\0\1\u0197\1\0"+
    "\3\u0196\71\0\1\345\2\0\1\346\1\0\1\347\1\350"+
    "\2\0\3\u0198\5\0\1\351\1\0\1\352\11\0\1\353"+
    "\1\354\1\0\1\355\1\0\1\356\1\357\1\360\1\361"+
    "\5\0\1\351\1\0\1\352\11\0\1\353\1\354\1\0"+
    "\1\355\1\0\1\356\1\357\1\360\1\361\47\0\1\u0199"+
    "\31\0\1\u0199\32\0\1\u019a\31\0\1\u019a\66\0\1\u015d"+
    "\31\0\1\u015d\51\0\1\u019b\7\0\1\u019c\21\0\1\u019b"+
    "\7\0\1\u019c\50\0\1\u019c\31\0\1\u019c\27\0\1\u019d"+
    "\7\0\1\u019e\21\0\1\u019d\7\0\1\u019e\45\0\1\u019f"+
    "\4\0\1\u01a0\3\0\1\u01a1\2\0\1\u01a2\7\0\1\u01a3"+
    "\5\0\1\u019f\4\0\1\u01a0\3\0\1\u01a1\2\0\1\u01a2"+
    "\7\0\1\u01a3\44\0\1\u01a4\31\0\1\u01a4\34\0\1\u01a5"+
    "\21\0\1\u01a6\7\0\1\u01a5\21\0\1\u01a6\27\0\1\u01a7"+
    "\31\0\1\u01a7\51\0\1\u01a8\31\0\1\u01a8\66\0\1\u01a9"+
    "\31\0\1\u01a9\57\0\1\u01aa\31\0\1\u01aa\32\0\1\u01ab"+
    "\31\0\1\u01ab\66\0\1\u0169\31\0\1\u0169\51\0\1\u01ac"+
    "\7\0\1\u01ad\21\0\1\u01ac\7\0\1\u01ad\50\0\1\u01ad"+
    "\31\0\1\u01ad\27\0\1\u01ae\7\0\1\u01af\21\0\1\u01ae"+
    "\7\0\1\u01af\45\0\1\u01b0\4\0\1\u01b1\3\0\1\u01b2"+
    "\2\0\1\u01b3\7\0\1\u01b4\5\0\1\u01b0\4\0\1\u01b1"+
    "\3\0\1\u01b2\2\0\1\u01b3\7\0\1\u01b4\44\0\1\u01b5"+
    "\31\0\1\u01b5\34\0\1\u01b6\21\0\1\u01b7\7\0\1\u01b6"+
    "\21\0\1\u01b7\27\0\1\u01b8\31\0\1\u01b8\30\0\1\u010f"+
    "\2\0\1\u0110\1\0\1\365\1\u010f\1\365\125\0\1\u01b9"+
    "\31\0\1\u01b9\46\0\1\u01ba\17\0\1\u01bb\11\0\1\u01ba"+
    "\17\0\1\u01bb\44\0\1\u01bc\31\0\1\u01bc\36\0\1\u01bd"+
    "\31\0\1\u01bd\74\0\1\u01be\31\0\1\u01be\32\0\1\u01bf"+
    "\31\0\1\u01bf\52\0\1\u01c0\31\0\1\u01c0\63\0\1\u01c1"+
    "\31\0\1\u01c1\45\0\1\u01c2\31\0\1\u01c2\43\0\1\u01c3"+
    "\31\0\1\u01c3\31\0\1\u010f\2\0\1\u0110\1\0\1\365"+
    "\1\u010f\1\365\52\0\1\u0114\14\0\1\u0114\1\0\1\u0114"+
    "\44\0\1\u01c4\31\0\1\u01c4\52\0\1\u01c5\31\0\1\u01c5"+
    "\25\0\1\u01c6\104\0\1\u01c7\131\0\1\u01c8\31\0\1\u01c8"+
    "\32\0\1\u01c9\31\0\1\u01c9\60\0\1\u01ca\31\0\1\u01ca"+
    "\65\0\1\u01cb\31\0\1\u01cb\42\0\1\u01cc\31\0\1\u01cc"+
    "\57\0\1\u01cd\31\0\1\u01cd\55\0\1\u01ce\31\0\1\u01ce"+
    "\24\0\1\u01cf\70\0\1\u01d0\2\0\1\u01d1\13\0\1\u01d2"+
    "\21\0\1\u01d3\31\0\1\u01d3\31\0\1\u01d4\31\0\1\u01d4"+
    "\46\0\1\u01d5\132\0\1\u01d6\31\0\1\u01d6\47\0\1\u01d7"+
    "\31\0\1\u01d7\43\0\1\u01d8\31\0\1\u01d8\46\0\1\u01d9"+
    "\17\0\1\u01da\11\0\1\u01d9\17\0\1\u01da\44\0\1\u01db"+
    "\31\0\1\u01db\36\0\1\u01dc\31\0\1\u01dc\74\0\1\u01dd"+
    "\31\0\1\u01dd\32\0\1\u01de\31\0\1\u01de\52\0\1\u01df"+
    "\31\0\1\u01df\63\0\1\u01e0\31\0\1\u01e0\45\0\1\u01e1"+
    "\31\0\1\u01e1\43\0\1\u01e2\31\0\1\u01e2\31\0\1\u0149"+
    "\2\0\1\u014a\1\0\1\u014b\1\u0149\53\0\1\u014d\14\0"+
    "\1\u014d\1\0\1\u014d\45\0\1\u01e3\31\0\1\u01e3\31\0"+
    "\1\u01e4\31\0\1\u01e4\36\0\1\u0197\1\0\1\u0197\75\0"+
    "\1\345\2\0\1\346\1\0\1\347\1\350\2\0\3\u01e5"+
    "\5\0\1\351\1\0\1\352\11\0\1\353\1\354\1\0"+
    "\1\355\1\0\1\356\1\357\1\360\1\361\5\0\1\351"+
    "\1\0\1\352\11\0\1\353\1\354\1\0\1\355\1\0"+
    "\1\356\1\357\1\360\1\361\5\0\1\u01e6\2\0\1\u01e7"+
    "\1\0\1\330\37\0\1\u01a6\31\0\1\u01a6\35\0\1\u01e8"+
    "\31\0\1\u01e8\52\0\1\u01e9\31\0\1\u01e9\52\0\1\u01ea"+
    "\5\0\1\u01eb\23\0\1\u01ea\5\0\1\u01eb\55\0\1\u01ec"+
    "\1\0\1\342\27\0\1\u01ec\1\0\1\342\44\0\1\u01ed"+
    "\31\0\1\u01ed\41\0\1\u0156\31\0\1\u0156\52\0\1\u01ee"+
    "\31\0\1\u01ee\52\0\1\u01ef\31\0\1\u01ef\71\0\1\u01a3"+
    "\31\0\1\u01a3\32\0\1\u019f\4\0\1\u01ea\24\0\1\u019f"+
    "\4\0\1\u01ea\22\0\1\u01f0\2\0\1\u01f1\1\0\1\330"+
    "\15\0\1\u019f\21\0\1\u01a6\7\0\1\u019f\21\0\1\u01a6"+
    "\31\0\1\u01f2\31\0\1\u01f2\56\0\1\u0156\31\0\1\u0156"+
    "\52\0\1\u01f3\31\0\1\u01f3\64\0\1\u01f4\31\0\1\u01f4"+
    "\31\0\1\u01f5\31\0\1\u01f5\31\0\1\u01f6\2\0\1\u01f7"+
    "\1\0\1\347\37\0\1\u01b7\31\0\1\u01b7\35\0\1\u01f8"+
    "\31\0\1\u01f8\52\0\1\u01f9\31\0\1\u01f9\52\0\1\u01fa"+
    "\5\0\1\u01fb\23\0\1\u01fa\5\0\1\u01fb\55\0\1\u01fc"+
    "\1\0\1\357\27\0\1\u01fc\1\0\1\357\44\0\1\u01fd"+
    "\31\0\1\u01fd\41\0\1\u0162\31\0\1\u0162\52\0\1\u01fe"+
    "\31\0\1\u01fe\52\0\1\u01ff\31\0\1\u01ff\71\0\1\u01b4"+
    "\31\0\1\u01b4\32\0\1\u01b0\4\0\1\u01fa\24\0\1\u01b0"+
    "\4\0\1\u01fa\22\0\1\u0200\2\0\1\u0201\1\0\1\347"+
    "\15\0\1\u01b0\21\0\1\u01b7\7\0\1\u01b0\21\0\1\u01b7"+
    "\31\0\1\u0202\31\0\1\u0202\56\0\1\u0162\31\0\1\u0162"+
    "\52\0\1\u0203\31\0\1\u0203\64\0\1\u0204\31\0\1\u0204"+
    "\32\0\1\u0205\31\0\1\u0205\66\0\1\u01c1\31\0\1\u01c1"+
    "\51\0\1\u0206\7\0\1\u0207\21\0\1\u0206\7\0\1\u0207"+
    "\50\0\1\u0207\31\0\1\u0207\27\0\1\u0208\7\0\1\u0209"+
    "\21\0\1\u0208\7\0\1\u0209\45\0\1\u020a\4\0\1\u020b"+
    "\3\0\1\u020c\2\0\1\u020d\7\0\1\u020e\5\0\1\u020a"+
    "\4\0\1\u020b\3\0\1\u020c\2\0\1\u020d\7\0\1\u020e"+
    "\44\0\1\u020f\31\0\1\u020f\34\0\1\u0210\21\0\1\u0211"+
    "\7\0\1\u0210\21\0\1\u0211\27\0\1\u0212\31\0\1\u0212"+
    "\72\0\1\u0213\31\0\1\u0213\42\0\1\u0214\31\0\1\u0214"+
    "\52\0\1\u0215\31\0\1\u0215\57\0\1\u0216\31\0\1\u0216"+
    "\56\0\1\u0217\31\0\1\u0217\41\0\1\u0218\31\0\1\u0218"+
    "\62\0\1\u0219\31\0\1\u0219\24\0\1\u021a\127\0\1\u021b"+
    "\31\0\1\u021b\27\0\1\u021c\105\0\1\127\126\0\1\u021d"+
    "\31\0\1\u021d\52\0\1\u021e\31\0\1\u021e\12\0\20\u01d0"+
    "\1\u01d2\64\u01d0\36\0\1\u021f\31\0\1\u021f\15\0\2\u0220"+
    "\1\130\1\u0221\1\146\5\0\1\147\1\150\2\0\1\u0222"+
    "\1\0\1\151\1\152\1\153\1\154\1\155\1\156\1\157"+
    "\1\160\1\161\1\162\1\163\1\164\1\165\1\166\1\167"+
    "\1\170\1\171\1\172\1\173\1\174\1\175\1\176\1\177"+
    "\1\200\1\201\1\202\1\203\1\204\1\205\1\206\1\207"+
    "\1\210\1\211\1\212\1\213\1\214\1\215\1\216\1\217"+
    "\1\220\1\221\1\222\1\223\1\224\1\225\1\226\1\227"+
    "\1\230\1\231\1\232\1\233\1\234\25\0\1\u0223\31\0"+
    "\1\u0223\47\0\1\u0224\31\0\1\u0224\70\0\1\u0225\2\0"+
    "\1\u0226\2\0\1\u0227\23\0\1\u0225\2\0\1\u0226\2\0"+
    "\1\u0227\44\0\1\u0228\31\0\1\u0228\30\0\1\143\131\0"+
    "\1\u0229\31\0\1\u0229\32\0\1\u022a\31\0\1\u022a\66\0"+
    "\1\u01e0\31\0\1\u01e0\51\0\1\u022b\7\0\1\u022c\21\0"+
    "\1\u022b\7\0\1\u022c\50\0\1\u022c\31\0\1\u022c\27\0"+
    "\1\u022d\7\0\1\u022e\21\0\1\u022d\7\0\1\u022e\45\0"+
    "\1\u022f\4\0\1\u0230\3\0\1\u0231\2\0\1\u0232\7\0"+
    "\1\u0233\5\0\1\u022f\4\0\1\u0230\3\0\1\u0231\2\0"+
    "\1\u0232\7\0\1\u0233\44\0\1\u0234\31\0\1\u0234\34\0"+
    "\1\u0235\21\0\1\u0236\7\0\1\u0235\21\0\1\u0236\27\0"+
    "\1\u0237\31\0\1\u0237\72\0\1\u0238\31\0\1\u0238\47\0"+
    "\1\u0239\31\0\1\u0239\55\0\1\u023a\31\0\1\u023a\10\0"+
    "\1\345\2\0\1\346\1\0\1\347\1\350\12\0\1\351"+
    "\1\0\1\352\11\0\1\353\1\354\1\0\1\355\1\0"+
    "\1\356\1\357\1\360\1\361\5\0\1\351\1\0\1\352"+
    "\11\0\1\353\1\354\1\0\1\355\1\0\1\356\1\357"+
    "\1\360\1\361\5\0\1\u01e6\2\0\1\u01e7\41\0\1\u01a6"+
    "\31\0\1\u01a6\42\0\1\u023b\31\0\1\u023b\41\0\1\u023c"+
    "\31\0\1\u023c\52\0\1\u023d\31\0\1\u023d\52\0\1\u023e"+
    "\31\0\1\u023e\51\0\1\u019f\31\0\1\u019f\72\0\1\u023f"+
    "\31\0\1\u023f\32\0\1\u019f\14\0\1\u0240\4\0\1\u01a6"+
    "\7\0\1\u019f\14\0\1\u0240\4\0\1\u01a6\47\0\1\u0241"+
    "\31\0\1\u0241\43\0\1\u0199\31\0\1\u0199\17\0\1\u01f0"+
    "\2\0\1\u01f1\17\0\1\u019f\21\0\1\u01a6\7\0\1\u019f"+
    "\21\0\1\u01a6\42\0\1\u0242\31\0\1\u0242\37\0\1\u019a"+
    "\22\0\1\u01a6\6\0\1\u019a\22\0\1\u01a6\31\0\1\u0243"+
    "\31\0\1\u0243\65\0\1\u0244\31\0\1\u0244\55\0\1\u0245"+
    "\31\0\1\u0245\10\0\1\u01f6\2\0\1\u01f7\41\0\1\u01b7"+
    "\31\0\1\u01b7\42\0\1\u0246\31\0\1\u0246\41\0\1\u0247"+
    "\31\0\1\u0247\52\0\1\u0248\31\0\1\u0248\52\0\1\u0249"+
    "\31\0\1\u0249\51\0\1\u01b0\31\0\1\u01b0\72\0\1\u024a"+
    "\31\0\1\u024a\32\0\1\u01b0\14\0\1\u024b\4\0\1\u01b7"+
    "\7\0\1\u01b0\14\0\1\u024b\4\0\1\u01b7\47\0\1\u024c"+
    "\31\0\1\u024c\43\0\1\u01aa\31\0\1\u01aa\17\0\1\u0200"+
    "\2\0\1\u0201\17\0\1\u01b0\21\0\1\u01b7\7\0\1\u01b0"+
    "\21\0\1\u01b7\42\0\1\u024d\31\0\1\u024d\37\0\1\u01ab"+
    "\22\0\1\u01b7\6\0\1\u01ab\22\0\1\u01b7\31\0\1\u024e"+
    "\31\0\1\u024e\26\0\1\u024f\2\0\1\u0250\1\0\1\u0112"+
    "\1\0\1\u0112\35\0\1\u0211\31\0\1\u0211\35\0\1\u0251"+
    "\31\0\1\u0251\52\0\1\u0252\31\0\1\u0252\52\0\1\u0253"+
    "\5\0\1\u0254\23\0\1\u0253\5\0\1\u0254\55\0\1\u0255"+
    "\1\0\1\u0172\27\0\1\u0255\1\0\1\u0172\44\0\1\u0256"+
    "\31\0\1\u0256\41\0\1\u01ba\31\0\1\u01ba\52\0\1\u0257"+
    "\31\0\1\u0257\52\0\1\u0258\31\0\1\u0258\71\0\1\u020e"+
    "\31\0\1\u020e\32\0\1\u020a\4\0\1\u0253\24\0\1\u020a"+
    "\4\0\1\u0253\22\0\1\u0259\2\0\1\u025a\1\0\1\u0112"+
    "\1\0\1\u0112\13\0\1\u020a\21\0\1\u0211\7\0\1\u020a"+
    "\21\0\1\u0211\31\0\1\u025b\31\0\1\u025b\56\0\1\u01ba"+
    "\31\0\1\u01ba\52\0\1\u025c\31\0\1\u025c\61\0\1\u025d"+
    "\31\0\1\u025d\27\0\1\u025e\104\0\1\u025f\131\0\1\u0260"+
    "\31\0\1\u0260\31\0\1\u0261\31\0\1\u0261\46\0\1\u0262"+
    "\127\0\1\u0263\31\0\1\u0263\52\0\1\u0264\31\0\1\u0264"+
    "\30\0\1\130\134\0\1\u0227\31\0\1\u0227\22\0\1\136"+
    "\106\0\1\u0265\106\0\1\u0266\31\0\1\u0266\31\0\2\u0220"+
    "\1\0\1\u0221\12\0\1\u0267\123\0\1\u0268\31\0\1\u0268"+
    "\33\0\1\130\10\0\1\u0269\4\0\1\142\24\0\1\u0269"+
    "\4\0\1\142\15\0\20\u0223\1\u026a\64\u0223\34\0\1\u026b"+
    "\31\0\1\u026b\37\0\1\u026c\31\0\1\u026c\64\0\1\u026d"+
    "\31\0\1\u026d\50\0\1\u026e\31\0\1\u026e\37\0\1\144"+
    "\67\0\1\u026f\2\0\1\u0270\1\0\1\u0112\37\0\1\u0236"+
    "\31\0\1\u0236\35\0\1\u0271\31\0\1\u0271\52\0\1\u0272"+
    "\31\0\1\u0272\52\0\1\u0273\5\0\1\u0274\23\0\1\u0273"+
    "\5\0\1\u0274\55\0\1\u0275\1\0\1\u018e\27\0\1\u0275"+
    "\1\0\1\u018e\44\0\1\u0276\31\0\1\u0276\41\0\1\u01d9"+
    "\31\0\1\u01d9\52\0\1\u0277\31\0\1\u0277\52\0\1\u0278"+
    "\31\0\1\u0278\71\0\1\u0233\31\0\1\u0233\32\0\1\u022f"+
    "\4\0\1\u0273\24\0\1\u022f\4\0\1\u0273\22\0\1\u0279"+
    "\2\0\1\u027a\1\0\1\u0112\15\0\1\u022f\21\0\1\u0236"+
    "\7\0\1\u022f\21\0\1\u0236\31\0\1\u027b\31\0\1\u027b"+
    "\56\0\1\u01d9\31\0\1\u01d9\52\0\1\u027c\31\0\1\u027c"+
    "\61\0\1\u027d\31\0\1\u027d\30\0\1\326\126\0\1\u027e"+
    "\31\0\1\u027e\34\0\1\u027f\31\0\1\u027f\66\0\1\u023d"+
    "\4\0\1\u0280\24\0\1\u023d\4\0\1\u0280\52\0\1\u0280"+
    "\31\0\1\u0280\45\0\1\u023d\4\0\1\u0281\24\0\1\u023d"+
    "\4\0\1\u0281\34\0\1\u0282\31\0\1\u0282\72\0\1\u0283"+
    "\31\0\1\u0283\6\0\1\u0241\2\0\1\u0284\17\0\1\u019f"+
    "\31\0\1\u019f\50\0\1\u0285\31\0\1\u0285\66\0\1\u0286"+
    "\4\0\1\u0287\24\0\1\u0286\4\0\1\u0287\25\0\1\345"+
    "\126\0\1\u0288\31\0\1\u0288\34\0\1\u0289\31\0\1\u0289"+
    "\66\0\1\u0248\4\0\1\u028a\24\0\1\u0248\4\0\1\u028a"+
    "\52\0\1\u028a\31\0\1\u028a\45\0\1\u0248\4\0\1\u028b"+
    "\24\0\1\u0248\4\0\1\u028b\34\0\1\u028c\31\0\1\u028c"+
    "\72\0\1\u028d\31\0\1\u028d\6\0\1\u024c\2\0\1\u028e"+
    "\17\0\1\u01b0\31\0\1\u01b0\50\0\1\u028f\31\0\1\u028f"+
    "\66\0\1\u0290\4\0\1\u0291\24\0\1\u0290\4\0\1\u0291"+
    "\10\0\1\u024f\2\0\1\u0250\41\0\1\u0211\31\0\1\u0211"+
    "\42\0\1\u0292\31\0\1\u0292\41\0\1\u0293\31\0\1\u0293"+
    "\52\0\1\u0294\31\0\1\u0294\52\0\1\u0295\31\0\1\u0295"+
    "\51\0\1\u020a\31\0\1\u020a\72\0\1\u0296\31\0\1\u0296"+
    "\32\0\1\u020a\14\0\1\u0297\4\0\1\u0211\7\0\1\u020a"+
    "\14\0\1\u0297\4\0\1\u0211\47\0\1\u0298\31\0\1\u0298"+
    "\43\0\1\u0204\31\0\1\u0204\17\0\1\u0259\2\0\1\u025a"+
    "\17\0\1\u020a\21\0\1\u0211\7\0\1\u020a\21\0\1\u0211"+
    "\42\0\1\u0299\31\0\1\u0299\37\0\1\u0205\22\0\1\u0211"+
    "\6\0\1\u0205\22\0\1\u0211\31\0\1\u029a\31\0\1\u029a"+
    "\43\0\1\u010f\134\0\1\u029b\31\0\1\u029b\47\0\1\u029c"+
    "\31\0\1\u029c\34\0\1\u029d\31\0\1\u029d\47\0\1\u029e"+
    "\31\0\1\u029e\70\0\1\u029f\31\0\1\u029f\30\0\1\124"+
    "\106\0\1\u02a0\65\0\2\u0265\1\0\1\u02a1\12\0\1\u02a2"+
    "\130\0\1\u02a3\31\0\1\u02a3\37\0\1\u0269\4\0\1\142"+
    "\24\0\1\u0269\4\0\1\142\37\0\1\u02a4\31\0\1\u02a4"+
    "\45\0\1\u02a5\114\0\1\u02a6\31\0\1\u02a6\67\0\1\u02a7"+
    "\31\0\1\u02a7\41\0\1\u02a8\31\0\1\u02a8\63\0\1\u02a9"+
    "\31\0\1\u02a9\11\0\1\u026f\2\0\1\u0270\41\0\1\u0236"+
    "\31\0\1\u0236\42\0\1\u02aa\31\0\1\u02aa\41\0\1\u02ab"+
    "\31\0\1\u02ab\52\0\1\u02ac\31\0\1\u02ac\52\0\1\u02ad"+
    "\31\0\1\u02ad\51\0\1\u022f\31\0\1\u022f\72\0\1\u02ae"+
    "\31\0\1\u02ae\32\0\1\u022f\14\0\1\u02af\4\0\1\u0236"+
    "\7\0\1\u022f\14\0\1\u02af\4\0\1\u0236\47\0\1\u02b0"+
    "\31\0\1\u02b0\43\0\1\u0229\31\0\1\u0229\17\0\1\u0279"+
    "\2\0\1\u027a\17\0\1\u022f\21\0\1\u0236\7\0\1\u022f"+
    "\21\0\1\u0236\42\0\1\u02b1\31\0\1\u02b1\37\0\1\u022a"+
    "\22\0\1\u0236\6\0\1\u022a\22\0\1\u0236\31\0\1\u02b2"+
    "\31\0\1\u02b2\43\0\1\u0149\104\0\1\331\131\0\1\u02b3"+
    "\31\0\1\u02b3\15\0\1\330\77\0\1\u0241\2\0\1\u0284"+
    "\1\0\1\330\15\0\1\u019f\31\0\1\u019f\70\0\1\u0280"+
    "\31\0\1\u0280\41\0\1\u02b4\31\0\1\u02b4\57\0\1\u02b5"+
    "\31\0\1\u02b5\57\0\1\u02b6\31\0\1\u02b6\52\0\1\u0287"+
    "\31\0\1\u0287\10\0\1\u02b7\2\0\1\u02b8\1\0\1\330"+
    "\13\0\1\u02b9\16\0\1\u02ba\1\0\1\u02bb\1\u023f\7\0"+
    "\1\u02b9\16\0\1\u02ba\1\0\1\u02bb\1\u023f\24\0\1\350"+
    "\131\0\1\u02bc\31\0\1\u02bc\15\0\1\347\77\0\1\u024c"+
    "\2\0\1\u028e\1\0\1\347\15\0\1\u01b0\31\0\1\u01b0"+
    "\70\0\1\u028a\31\0\1\u028a\41\0\1\u02bd\31\0\1\u02bd"+
    "\57\0\1\u02be\31\0\1\u02be\57\0\1\u02bf\31\0\1\u02bf"+
    "\52\0\1\u0291\31\0\1\u0291\10\0\1\u02c0\2\0\1\u02c1"+
    "\1\0\1\347\13\0\1\u02c2\16\0\1\u02c3\1\0\1\u02c4"+
    "\1\u024a\7\0\1\u02c2\16\0\1\u02c3\1\0\1\u02c4\1\u024a"+
    "\30\0\1\u02c5\31\0\1\u02c5\66\0\1\u0294\4\0\1\u02c6"+
    "\24\0\1\u0294\4\0\1\u02c6\52\0\1\u02c6\31\0\1\u02c6"+
    "\45\0\1\u0294\4\0\1\u02c7\24\0\1\u0294\4\0\1\u02c7"+
    "\34\0\1\u02c8\31\0\1\u02c8\72\0\1\u02c9\31\0\1\u02c9"+
    "\6\0\1\u0298\2\0\1\u02ca\17\0\1\u020a\31\0\1\u020a"+
    "\50\0\1\u02cb\31\0\1\u02cb\66\0\1\u02cc\4\0\1\u02cd"+
    "\24\0\1\u02cc\4\0\1\u02cd\40\0\1\u02ce\31\0\1\u02ce"+
    "\54\0\1\u02cf\31\0\1\u02cf\37\0\1\u02d0\120\0\1\u0260"+
    "\31\0\1\u0260\37\0\1\u02d1\31\0\1\u02d1\32\0\2\u02a0"+
    "\1\0\1\u02d2\12\0\1\u02d3\123\0\1\u02d4\31\0\1\u02d4"+
    "\44\0\1\u02d5\31\0\1\u02d5\62\0\1\u02d6\31\0\1\u02d6"+
    "\55\0\1\u02d7\31\0\1\u02d7\47\0\1\u02d8\3\0\1\u0184"+
    "\25\0\1\u02d8\3\0\1\u0184\6\0\20\u02a6\1\u02d9\64\u02a6"+
    "\37\0\1\u02da\31\0\1\u02da\53\0\1\u02db\31\0\1\u02db"+
    "\41\0\1\u02dc\31\0\1\u02dc\45\0\1\u02dd\31\0\1\u02dd"+
    "\66\0\1\u02ac\4\0\1\u02de\24\0\1\u02ac\4\0\1\u02de"+
    "\52\0\1\u02de\31\0\1\u02de\45\0\1\u02ac\4\0\1\u02df"+
    "\24\0\1\u02ac\4\0\1\u02df\34\0\1\u02e0\31\0\1\u02e0"+
    "\72\0\1\u02e1\31\0\1\u02e1\6\0\1\u02b0\2\0\1\u02e2"+
    "\17\0\1\u022f\31\0\1\u022f\50\0\1\u02e3\31\0\1\u02e3"+
    "\66\0\1\u02e4\4\0\1\u02e5\24\0\1\u02e4\4\0\1\u02e5"+
    "\47\0\1\u02e6\31\0\1\u02e6\37\0\1\u02e7\31\0\1\u02e7"+
    "\47\0\1\u02e8\31\0\1\u02e8\70\0\1\u02e9\31\0\1\u02e9"+
    "\13\0\1\u02b7\2\0\1\u02b8\15\0\1\u02b9\16\0\1\u02ba"+
    "\1\0\1\u02bb\1\u023f\7\0\1\u02b9\16\0\1\u02ba\1\0"+
    "\1\u02bb\1\u023f\44\0\1\u02ea\31\0\1\u02ea\45\0\1\u023d"+
    "\31\0\1\u023d\66\0\1\u02eb\31\0\1\u02eb\32\0\1\u02ec"+
    "\31\0\1\u02ec\65\0\1\u02ed\31\0\1\u02ed\37\0\1\u02ee"+
    "\31\0\1\u02ee\47\0\1\u02ef\31\0\1\u02ef\70\0\1\u02f0"+
    "\31\0\1\u02f0\13\0\1\u02c0\2\0\1\u02c1\15\0\1\u02c2"+
    "\16\0\1\u02c3\1\0\1\u02c4\1\u024a\7\0\1\u02c2\16\0"+
    "\1\u02c3\1\0\1\u02c4\1\u024a\44\0\1\u02f1\31\0\1\u02f1"+
    "\45\0\1\u0248\31\0\1\u0248\66\0\1\u02f2\31\0\1\u02f2"+
    "\32\0\1\u02f3\31\0\1\u02f3\70\0\1\u02f4\31\0\1\u02f4"+
    "\15\0\1\u0112\1\0\1\u0112\75\0\1\u0298\2\0\1\u02ca"+
    "\1\0\1\u0112\1\0\1\u0112\13\0\1\u020a\31\0\1\u020a"+
    "\70\0\1\u02c6\31\0\1\u02c6\41\0\1\u02f5\31\0\1\u02f5"+
    "\57\0\1\u02f6\31\0\1\u02f6\57\0\1\u02f7\31\0\1\u02f7"+
    "\52\0\1\u02cd\31\0\1\u02cd\10\0\1\u02f8\2\0\1\u02f9"+
    "\1\0\1\u0112\1\0\1\u0112\11\0\1\u02fa\16\0\1\u02fb"+
    "\1\0\1\u02fc\1\u0296\7\0\1\u02fa\16\0\1\u02fb\1\0"+
    "\1\u02fc\1\u0296\50\0\1\u02fd\31\0\1\u02fd\41\0\1\u02fe"+
    "\31\0\1\u02fe\22\0\2\u02d0\1\0\1\u02ff\142\0\1\u0300"+
    "\31\0\1\u0300\46\0\1\u0301\31\0\1\u0301\44\0\1\u0302"+
    "\31\0\1\u0302\44\0\1\u0303\31\0\1\u0303\45\0\1\u0304"+
    "\105\0\1\u01d0\126\0\1\u0305\31\0\1\u0305\54\0\1\u01d3"+
    "\31\0\1\u01d3\44\0\1\u0306\31\0\1\u0306\36\0\1\u0307"+
    "\123\0\1\u0308\31\0\1\u0308\56\0\1\u0309\31\0\1\u0309"+
    "\15\0\1\u0112\77\0\1\u02b0\2\0\1\u02e2\1\0\1\u0112"+
    "\15\0\1\u022f\31\0\1\u022f\70\0\1\u02de\31\0\1\u02de"+
    "\41\0\1\u030a\31\0\1\u030a\57\0\1\u030b\31\0\1\u030b"+
    "\57\0\1\u030c\31\0\1\u030c\52\0\1\u02e5\31\0\1\u02e5"+
    "\10\0\1\u030d\2\0\1\u030e\1\0\1\u0112\13\0\1\u030f"+
    "\16\0\1\u0310\1\0\1\u0311\1\u02ae\7\0\1\u030f\16\0"+
    "\1\u0310\1\0\1\u0311\1\u02ae\24\0\1\u01e6\124\0\1\u0155"+
    "\4\0\1\u01a4\24\0\1\u0155\4\0\1\u01a4\52\0\1\u0312"+
    "\31\0\1\u0312\25\0\1\u01f0\110\0\1\u0313\31\0\1\u0313"+
    "\51\0\1\u01ec\7\0\1\u0314\21\0\1\u01ec\7\0\1\u0314"+
    "\56\0\1\u0315\31\0\1\u0315\33\0\1\u01f6\124\0\1\u0161"+
    "\4\0\1\u01b5\24\0\1\u0161\4\0\1\u01b5\52\0\1\u0316"+
    "\31\0\1\u0316\25\0\1\u0200\110\0\1\u0317\31\0\1\u0317"+
    "\51\0\1\u01fc\7\0\1\u0318\21\0\1\u01fc\7\0\1\u0318"+
    "\56\0\1\u0319\31\0\1\u0319\55\0\1\u031a\31\0\1\u031a"+
    "\37\0\1\u031b\31\0\1\u031b\47\0\1\u031c\31\0\1\u031c"+
    "\70\0\1\u031d\31\0\1\u031d\13\0\1\u02f8\2\0\1\u02f9"+
    "\15\0\1\u02fa\16\0\1\u02fb\1\0\1\u02fc\1\u0296\7\0"+
    "\1\u02fa\16\0\1\u02fb\1\0\1\u02fc\1\u0296\44\0\1\u031e"+
    "\31\0\1\u031e\45\0\1\u0294\31\0\1\u0294\66\0\1\u031f"+
    "\31\0\1\u031f\32\0\1\u0320\31\0\1\u0320\54\0\1\u0321"+
    "\31\0\1\u0321\63\0\1\u029d\31\0\1\u029d\50\0\1\u0322"+
    "\31\0\1\u0322\53\0\1\u029e\31\0\1\u029e\35\0\1\u0323"+
    "\31\0\1\u0323\45\0\1\u0324\132\0\1\u0325\31\0\1\u0325"+
    "\47\0\1\u0326\31\0\1\u0326\30\0\1\u0220\113\0\1\u0327"+
    "\31\0\1\u0327\61\0\1\u0328\31\0\1\u0328\56\0\1\u0329"+
    "\31\0\1\u0329\37\0\1\u032a\31\0\1\u032a\47\0\1\u032b"+
    "\31\0\1\u032b\70\0\1\u032c\31\0\1\u032c\13\0\1\u030d"+
    "\2\0\1\u030e\15\0\1\u030f\16\0\1\u0310\1\0\1\u0311"+
    "\1\u02ae\7\0\1\u030f\16\0\1\u0310\1\0\1\u0311\1\u02ae"+
    "\44\0\1\u032d\31\0\1\u032d\45\0\1\u02ac\31\0\1\u02ac"+
    "\66\0\1\u032e\31\0\1\u032e\32\0\1\u032f\31\0\1\u032f"+
    "\65\0\1\u0330\31\0\1\u0330\55\0\1\u0331\31\0\1\u0331"+
    "\45\0\1\u0332\31\0\1\u0332\41\0\1\u0333\31\0\1\u0333"+
    "\65\0\1\u0334\31\0\1\u0334\55\0\1\u0335\31\0\1\u0335"+
    "\45\0\1\u0336\31\0\1\u0336\41\0\1\u0337\31\0\1\u0337"+
    "\43\0\1\u024f\124\0\1\u01b9\4\0\1\u020f\24\0\1\u01b9"+
    "\4\0\1\u020f\52\0\1\u0338\31\0\1\u0338\25\0\1\u0259"+
    "\110\0\1\u0339\31\0\1\u0339\51\0\1\u0255\7\0\1\u033a"+
    "\21\0\1\u0255\7\0\1\u033a\56\0\1\u033b\31\0\1\u033b"+
    "\54\0\1\u033c\31\0\1\u033c\35\0\1\u033d\31\0\1\u033d"+
    "\73\0\1\u033e\31\0\1\u033e\47\0\1\u033f\31\0\1\u033f"+
    "\52\0\1\u0340\31\0\1\u0340\13\0\1\u0341\2\0\1\u0342"+
    "\13\0\1\u0343\104\0\1\u0344\111\0\1\u0345\31\0\1\u0345"+
    "\43\0\1\u026f\124\0\1\u01d8\4\0\1\u0234\24\0\1\u01d8"+
    "\4\0\1\u0234\52\0\1\u0346\31\0\1\u0346\25\0\1\u0279"+
    "\110\0\1\u0347\31\0\1\u0347\51\0\1\u0275\7\0\1\u0348"+
    "\21\0\1\u0275\7\0\1\u0348\56\0\1\u0349\31\0\1\u0349"+
    "\33\0\1\u0241\126\0\1\u034a\31\0\1\u034a\53\0\1\u034b"+
    "\31\0\1\u034b\45\0\1\u0280\31\0\1\u0280\34\0\1\u024c"+
    "\126\0\1\u034c\31\0\1\u034c\53\0\1\u034d\31\0\1\u034d"+
    "\45\0\1\u028a\31\0\1\u028a\56\0\1\u034e\31\0\1\u034e"+
    "\55\0\1\u034f\31\0\1\u034f\45\0\1\u0350\31\0\1\u0350"+
    "\41\0\1\u0351\31\0\1\u0351\61\0\1\u0352\31\0\1\u0352"+
    "\61\0\1\u0353\31\0\1\u0353\47\0\1\u0354\31\0\1\u0354"+
    "\13\0\1\u0355\2\0\1\u0356\13\0\1\u0357\102\0\1\u0265"+
    "\66\0\20\u0341\1\u0343\64\u0341\36\0\1\u0358\31\0\1\u0358"+
    "\15\0\2\u0343\1\0\1\u0359\1\u035a\55\0\1\u035b\65\0"+
    "\1\u035c\31\0\1\u035c\46\0\1\u035d\31\0\1\u035d\55\0"+
    "\1\u035e\31\0\1\u035e\45\0\1\u035f\31\0\1\u035f\41\0"+
    "\1\u0360\31\0\1\u0360\43\0\1\u02b7\133\0\1\u019a\31\0"+
    "\1\u019a\23\0\1\u02c0\133\0\1\u01ab\31\0\1\u01ab\23\0"+
    "\1\u0298\126\0\1\u0361\31\0\1\u0361\53\0\1\u0362\31\0"+
    "\1\u0362\45\0\1\u02c6\31\0\1\u02c6\43\0\1\u0363\31\0"+
    "\1\u0363\65\0\1\u0364\31\0\1\u0364\30\0\1\u02a0\66\0"+
    "\20\u0355\1\u0357\64\u0355\36\0\1\u0365\31\0\1\u0365\15\0"+
    "\2\u0357\1\0\1\u0366\122\0\1\u0367\31\0\1\u0367\66\0"+
    "\1\u0368\31\0\1\u0368\77\0\1\u0369\27\0\1\u036a\1\0"+
    "\1\u036a\140\0\1\u036b\31\0\1\u036b\24\0\1\u02b0\126\0"+
    "\1\u036c\31\0\1\u036c\53\0\1\u036d\31\0\1\u036d\45\0"+
    "\1\u02de\31\0\1\u02de\34\0\1\u02f8\133\0\1\u0205\31\0"+
    "\1\u0205\51\0\1\u036e\31\0\1\u036e\24\0\1\u02d0\110\0"+
    "\1\u036f\31\0\1\u036f\66\0\1\u0370\31\0\1\u0370\57\0"+
    "\1\u0371\31\0\1\u0371\31\0\1\u0372\31\0\1\u0372\36\0"+
    "\1\u036a\123\0\1\u0373\31\0\1\u0373\43\0\1\u030d\133\0"+
    "\1\u022a\31\0\1\u022a\51\0\1\u0260\31\0\1\u0260\51\0"+
    "\1\u0374\31\0\1\u0374\31\0\1\u0375\31\0\1\u0375\70\0"+
    "\1\u0376\31\0\1\u0376\55\0\1\u0377\31\0\1\u0377\27\0"+
    "\1\u0378\124\0\1\u0379\31\0\1\u0379\55\0\1\u037a\31\0"+
    "\1\u037a\25\0\1\u0341\126\0\1\u037b\31\0\1\u037b\30\0"+
    "\1\u0355\126\0\1\u037c\31\0\1\u037c\30\0\1\u0343\104\0"+
    "\1\u0357\66\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[55959];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\13\0\1\11\77\1\1\11\7\1\204\0\1\11\16\0"+
    "\1\11\15\0\1\11\6\0\1\11\24\0\2\11\5\0"+
    "\1\11\7\0\1\1\1\11\51\0\1\11\6\0\2\1"+
    "\101\0\1\11\1\1\1\11\72\0\1\1\227\0\1\11"+
    "\145\0\1\1\10\0\1\11\55\0\1\11\74\0\1\11"+
    "\22\0\1\1\22\0\1\11\15\0\1\11\4\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[892];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** For the backwards DFA of general lookahead statements */
  private boolean [] zzFin = new boolean [Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())+1];

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	List() { }

	private Stack<Integer> states = new Stack<Integer>();
	
	//testo dopo la chiusura di una partizione lista che può far parte della partizione stessa oppure della contenitrice (es. del comma)
	private StringBuilder after = new StringBuilder();

	private String containerIdLevel0 = "";
	private String containerAnnotationLevel1 = "";
	private String containerAnnotationLevel2 = "";
	
	private void addOutputOrAfter() {
	
		if(after.length() > 0) {
			
			//After attivo, per il momento salva in after
			after.append(yytext());
			
		} else {
		
			output.append(yytext());
		} 
	}
	
	
	private boolean read() {
	
		boolean valid = false;
		
		int size = states.size();
			
		if(size == 1) { getMarkerDocument().getContext().setContainerId(containerIdLevel0); } //never?
		if(size == 2) { getMarkerDocument().getContext().setContainerId(containerIdLevel0); }
		if(size == 3) { getMarkerDocument().getContext().updateContainer(containerAnnotationLevel1); }
		if(size == 4) { getMarkerDocument().getContext().updateContainer(containerAnnotationLevel2); }
		
	
		//System.out.println("Partition READ: " + yytext());

		String text = yytext();
	
		//Lancia il validatore di partizione per decidere se creare la nuova partizione o ignorarla
		
		PartValidator v = new PartValidator();
		v.setMarkerDocument(getMarkerDocument());
		v.setInput(text);
		v.run();
		
		//System.out.println("VALIDATOR OUTPUT: " + v.getOutput());
	
		if(v.getOutput() == null) {
			
			String originalText = yytext();
			
			//System.out.println("spaces: " + v.getSpaces() + " originalText: "+ originalText);
			
			if(v.getSpaces() > 0) originalText = originalText.substring(0,yylength()-v.getSpaces());
			
			output.append(originalText);
			
		} else {
		
			valid = true;
			
			if(first) {
			
				first = false;
			
			} else {
			
				//Se non è il primo metti la chiusura del precedente subito
				
				output.append("</mrk:" + getMarkerDocument().getContext().getCurrentPartType() + ">");
			}
		
			output.append(v.getOutput());
			
			if(size == 1) { containerAnnotationLevel1 = v.getOutput(); } //never?
			if(size == 2) { containerAnnotationLevel1 = v.getOutput(); }
			if(size == 3) { containerAnnotationLevel2 = v.getOutput(); }
			
		}
		
		if(v.getSpaces() > 0) yypushback(v.getSpaces());
		
		return valid;
	}
	
	private void closeAll() {
	
		while(states.size() > 1) {
		
			int topState = states.pop();
			
			if(topState == inLatin) output.append("</mrk:numeroLatino>");
			
			if(topState == inLetter) output.append("</mrk:lettera>");
			
			if(topState == inNumber) output.append("</mrk:numero>");
			
			if(topState == inSubNumber) output.append("</mrk:sottoNumero>");
		}
		
		first = true;
		
		getMarkerDocument().getContext().resetLatin();
		getMarkerDocument().getContext().resetLetter();
		getMarkerDocument().getContext().resetNumber();
		getMarkerDocument().getContext().resetSubNumberItem();
		
	}	

	private int start() {
	
		if(containerIdLevel0.equals("")) containerIdLevel0 = getMarkerDocument().getContext().getContainerId();
		
		if(states.isEmpty()) states.push(0);
		
		int topState = states.pop();
		states.push(topState);
		
		return topState;
	}
	


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  public List(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      if (zzMarkedPosL > zzStartRead) {
        switch (zzBufferL[zzMarkedPosL-1]) {
        case '\n':
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':  // fall through
          zzAtBOL = true;
          break;
        case '\r': 
          if (zzMarkedPosL < zzEndReadL)
            zzAtBOL = zzBufferL[zzMarkedPosL] != '\n';
          else if (zzAtEOF)
            zzAtBOL = false;
          else {
            boolean eof = zzRefill();
            zzMarkedPosL = zzMarkedPos;
            zzEndReadL = zzEndRead;
            zzBufferL = zzBuffer;
            if (eof) 
              zzAtBOL = false;
            else 
              zzAtBOL = zzBufferL[zzMarkedPosL] != '\n';
          }
          break;
        default:
          zzAtBOL = false;
        }
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      if (zzAtBOL)
        zzState = ZZ_LEXSTATE[zzLexicalState+1];
      else
        zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
              {
                //Fine input, chiudi tutto, se c'era testo in after mettilo nella partizione contenitrice
	
	closeAll();
	
	if(Util.removeAllAnnotations(after.toString()).trim().length() > 0) {
	
		getMarkerDocument().addWarning("idref:" + getMarkerDocument().getContext().getContainerId() + " Controllare il testo dopo la chiusura delle liste.");
	}
	
	output.append(after.toString());
	
	getMarkerDocument().getContext().setCurrentPartType("lista");
	
	return YYEOF;
              }
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { addOutputOrAfter();
            }
          // fall through
          case 21: break;
          case 2:
            { System.out.print(yytext());
            }
          // fall through
          case 22: break;
          case 3:
            { //System.out.println("^NUMBER_1 " + yytext());
	
	start();
			
	if(states.contains(inNumber)) {

		getMarkerDocument().addWarning("idref:" + getMarkerDocument().getContext().getContainerId() + " Inizio di lista numerica inatteso: \"" + Util.removeAllAnnotations(yytext()).trim() + "\"");
			
		closeAll();
		
		output.append(yytext());
		
	} else {

		//Svuota eventuale after mettendolo nel contenitore
		if(after.length() > 0) {
		
			closeAll();
			
			output.append(after.toString());
			after = new StringBuilder();
		}

		getMarkerDocument().getContext().resetNumber();
			
		getMarkerDocument().getContext().setCurrentPartType("numero");
		
		first = true;
		
		states.push(inNumber);
		if( !read()) states.pop(); 
	
	}
            }
          // fall through
          case 23: break;
          case 4:
            { //System.out.println("NUMBER_N " + yytext());
	
	int topState = start();
		
	if(topState == 0) {

		//Può essere la prima delle virgolette

		getMarkerDocument().getContext().setCurrentPartType("numero");
		
		states.push(inNumber);
		if( !read()) states.pop(); 
	
	} else {
	
		if( !states.contains(inNumber)) {
		
			getMarkerDocument().addWarning("idref:" + getMarkerDocument().getContext().getContainerId() + " Elemento di lista numerica inatteso: \"" + Util.removeAllAnnotations(yytext()).trim() + "\"");
			
			closeAll();
		
			output.append(yytext());
		
		} else {
	
			//La lista continua o riparte, se c'era testo in after aggiungilo all'ultima partizione lista
			if(after.length() > 0) {
			
				output.append(after.toString());
				after = new StringBuilder();
			}
			
			if(topState != inNumber) {
			
				while(topState != inNumber) {
					
					topState = states.pop();
					
					if(topState == inLatin) { output.append("</mrk:numeroLatino>"); }
					
					if(topState == inLetter) { output.append("</mrk:lettera>"); }
					
					if(topState == inSubNumber) { output.append("</mrk:sottoNumero>"); }
				}
				
				states.push(inNumber);
			}
	
			getMarkerDocument().getContext().setCurrentPartType("numero");
			read();
		}
	}
            }
          // fall through
          case 24: break;
          case 5:
            { //System.out.println("AMBIGOUS " + yytext());

	//Si prova a usare il validatore per decidere se è numeroLatino

	getMarkerDocument().getContext().setCurrentPartType("numeroLatino");
	PartValidator v = new PartValidator();
	v.setLatinCheckOnly(true);
	v.setMarkerDocument(getMarkerDocument());
	v.setInput(yytext());
	v.run();
	
	//System.out.println("PV output: " + v.getOutput());
	
	if(v.getOutput() != null) {
		
		//Tratta come latin
		 
		int topState = start();
			
		if(topState == 0) {
	
			//Può essere la prima delle virgolette
	
			getMarkerDocument().getContext().setCurrentPartType("numeroLatino");
			
			states.push(inLatin);
			if( !read()) states.pop();
		
		} else {
		
			if( !states.contains(inLatin)) {
			
				getMarkerDocument().addWarning("idref:" + getMarkerDocument().getContext().getContainerId() + " Elemento (ambiguo) di lista latina inatteso: \"" + Util.removeAllAnnotations(yytext()).trim() + "\"");
				
				closeAll();
			
				output.append(yytext());
			
			} else {
			
				//La lista continua o riparte, se c'era testo in after aggiungilo all'ultima partizione lista
				if(after.length() > 0) {
				
					output.append(after.toString());
					after = new StringBuilder();
				}
			
				if(topState != inLatin) {
				
					while(topState != inLatin) {
						
						topState = states.pop();
						
						if(topState == inLetter) { output.append("</mrk:lettera>"); }
						
						if(topState == inNumber) { output.append("</mrk:numero>"); }
						
						if(topState == inSubNumber) { output.append("</mrk:sottoNumero>"); }
					}
					
					states.push(inLatin);
				}
					
				getMarkerDocument().getContext().setCurrentPartType("numeroLatino");
				read();
			}
		}		
	
	} else {
		
		//Tratta come lettera
	

		int topState = start();
			
		if(topState == 0) {
	
			//Può essere la prima delle virgolette
	
			getMarkerDocument().getContext().setCurrentPartType("lettera");
			
			states.push(inLetter);
			if( !read()) states.pop();
		
		} else {
		
			if( !states.contains(inLetter)) {
			
				getMarkerDocument().addWarning("idref:" + getMarkerDocument().getContext().getContainerId() + " Elemento (ambiguo) di lista letterale inatteso: \"" + Util.removeAllAnnotations(yytext()).trim() + "\"");
				
				closeAll();
			
				output.append(yytext());
			
			} else {
			
				//La lista continua o riparte, se c'era testo in after aggiungilo all'ultima partizione lista
				if(after.length() > 0) {
				
					output.append(after.toString());
					after = new StringBuilder();
				}
			
				if(topState != inLetter) {
				
					while(topState != inLetter) {
						
						topState = states.pop();
						
						if(topState == inLatin) { output.append("</mrk:numeroLatino>"); }
						
						if(topState == inNumber) { output.append("</mrk:numero>"); }
						
						if(topState == inSubNumber) { output.append("</mrk:sottoNumero>"); }
					}
					
					states.push(inLetter);
				}
					
				getMarkerDocument().getContext().setCurrentPartType("lettera");
				read();
			}
		}	
	}
            }
          // fall through
          case 25: break;
          case 6:
            { //System.out.println("AS LETTER " + yytext());
	
	int topState = start();
		
	if(topState == 0) {

		//Può essere la prima delle virgolette

		getMarkerDocument().getContext().setCurrentPartType("lettera");
		
		states.push(inLetter);
		if( !read()) states.pop();
	
	} else {
	
		if( !states.contains(inLetter)) {
		
			getMarkerDocument().addWarning("idref:" + getMarkerDocument().getContext().getContainerId() + " Elemento di lista letterale inatteso: \"" + Util.removeAllAnnotations(yytext()).trim() + "\"");
			
			closeAll();
		
			output.append(yytext());
		
		} else {
		
			//La lista continua o riparte, se c'era testo in after aggiungilo all'ultima partizione lista
			if(after.length() > 0) {
			
				output.append(after.toString());
				after = new StringBuilder();
			}
		
			if(topState != inLetter) {
			
				while(topState != inLetter) {
					
					topState = states.pop();
					
					if(topState == inLatin) { output.append("</mrk:numeroLatino>"); }
					
					if(topState == inNumber) { output.append("</mrk:numero>"); }
					
					if(topState == inSubNumber) { output.append("</mrk:sottoNumero>"); }
				}
				
				states.push(inLetter);
			}
				
			getMarkerDocument().getContext().setCurrentPartType("lettera");
			read();
		}
	}
            }
          // fall through
          case 26: break;
          case 7:
            { //System.out.println("LETTER_1 " + yytext());
	
	start();
			
	if(states.contains(inLetter)) {
		
		getMarkerDocument().addWarning("idref:" + getMarkerDocument().getContext().getContainerId() + " Inizio di lista letterale inatteso: \"" + Util.removeAllAnnotations(yytext()).trim() + "\"");

		closeAll();
		
		output.append(yytext());
		
	} else {
	
		//Svuota eventuale after mettendolo nel contenitore
		if(after.length() > 0) {
		
			closeAll();
			
			output.append(after.toString());
			after = new StringBuilder();
		}

		getMarkerDocument().getContext().resetLetter();
			
		getMarkerDocument().getContext().setCurrentPartType("lettera");
		
		first = true;
		
		states.push(inLetter);
		if( !read()) states.pop();
	
	}
            }
          // fall through
          case 27: break;
          case 8:
            { //System.out.println("LETTER_N " + yytext());
	 
	int topState = start();
		
	if(topState == 0) {

		//Può essere la prima delle virgolette

		getMarkerDocument().getContext().setCurrentPartType("lettera");
		
		states.push(inLetter);
		if( !read()) states.pop();
	
	} else {
	
		if( !states.contains(inLetter)) {
		
			getMarkerDocument().addWarning("idref:" + getMarkerDocument().getContext().getContainerId() + " Elemento di lista letterale inatteso: \"" + Util.removeAllAnnotations(yytext()).trim() + "\"");
			
			closeAll();
		
			output.append(yytext());
		
		} else {
		
			//La lista continua o riparte, se c'era testo in after aggiungilo all'ultima partizione lista
			if(after.length() > 0) {
			
				output.append(after.toString());
				after = new StringBuilder();
			}
		
			if(topState != inLetter) {
			
				while(topState != inLetter) {
					
					topState = states.pop();
					
					if(topState == inLatin) { output.append("</mrk:numeroLatino>"); }
					
					if(topState == inNumber) { output.append("</mrk:numero>"); }
					
					if(topState == inSubNumber) { output.append("</mrk:sottoNumero>"); }
				}
				
				states.push(inLetter);
			}
				
			getMarkerDocument().getContext().setCurrentPartType("lettera");
			read();
		}
	}
            }
          // fall through
          case 28: break;
          case 9:
            { //System.out.println("LATIN_ITEM_1 " + yytext());
		
		start();
				
		if(states.contains(inLatin)) {
	
			getMarkerDocument().addWarning("idref:" + getMarkerDocument().getContext().getContainerId() + " Inizio di lista latina inatteso: \"" + Util.removeAllAnnotations(yytext()).trim() + "\"");
				
			closeAll();
			
			output.append(yytext());
			
		} else {

			//Svuota eventuale after mettendolo nel contenitore
			if(after.length() > 0) {
			
				closeAll();
				
				output.append(after.toString());
				after = new StringBuilder();
			}
	
			getMarkerDocument().getContext().resetLatin();
				
			getMarkerDocument().getContext().setCurrentPartType("numeroLatino");
			
			first = true;
			
			states.push(inLatin);
			if( !read()) states.pop();
		
		}
		yybegin(0);
            }
          // fall through
          case 29: break;
          case 10:
            { //System.out.println("LATIN_ITEM_N " + yytext());
	 
	int topState = start();
		
	if(topState == 0) {

		//Può essere la prima delle virgolette

		getMarkerDocument().getContext().setCurrentPartType("numeroLatino");
		
		states.push(inLatin);
		if( !read()) states.pop();
	
	} else {
	
		if( !states.contains(inLatin)) {
		
			getMarkerDocument().addWarning("idref:" + getMarkerDocument().getContext().getContainerId() + " Elemento di lista latina inatteso: \"" + Util.removeAllAnnotations(yytext()).trim() + "\"");
			
			closeAll();
		
			output.append(yytext());
		
		} else {
		
			//La lista continua o riparte, se c'era testo in after aggiungilo all'ultima partizione lista
			if(after.length() > 0) {
			
				output.append(after.toString());
				after = new StringBuilder();
			}
		
			if(topState != inLatin) {
			
				while(topState != inLatin) {
					
					topState = states.pop();
					
					if(topState == inLetter) { output.append("</mrk:lettera>"); }
					
					if(topState == inNumber) { output.append("</mrk:numero>"); }
					
					if(topState == inSubNumber) { output.append("</mrk:sottoNumero>"); }
				}
				
				states.push(inLatin);
			}
				
			getMarkerDocument().getContext().setCurrentPartType("numeroLatino");
			read();
		}
	}
            }
          // fall through
          case 30: break;
          case 11:
            { //System.out.println("SUB_NUMBER_1 " + yytext());
	
	start();
			
	if(states.contains(inSubNumber)) {

		getMarkerDocument().addWarning("idref:" + getMarkerDocument().getContext().getContainerId() + " Inizio di lista sotto-numerica inatteso: \"" + Util.removeAllAnnotations(yytext()).trim() + "\"");
			
		closeAll();
		
		output.append(yytext());
		
	} else {

		/* Un sottoNumero può partire solo all'interno di un numero */
		int topState = states.pop();
		states.push(topState);
		
		if(topState != inNumber && topState != 0) {
		
			//TODO Segnalazione ?
			
			closeAll();
		
			output.append(yytext());
		
		} else {

			getMarkerDocument().getContext().resetSubNumberItem();
				
			getMarkerDocument().getContext().setCurrentPartType("sottoNumero");
			
			first = true;
			
			states.push(inSubNumber);
			if( !read()) states.pop();
		}
	}
            }
          // fall through
          case 31: break;
          case 12:
            { //System.out.println("SUB_NUMBER_N " + yytext());
	 
	int topState = start();
		
	if(topState == 0) {

		//Può essere la prima delle virgolette

		getMarkerDocument().getContext().setCurrentPartType("sottoNumero");
		
		states.push(inSubNumber);
		if( !read()) states.pop();
	
	} else {
	
		if( !states.contains(inSubNumber)) {
		
			getMarkerDocument().addWarning("idref:" + getMarkerDocument().getContext().getContainerId() + " Elemento di lista sotto-numerica inatteso: \"" + Util.removeAllAnnotations(yytext()).trim() + "\"");
			
			closeAll();
		
			output.append(yytext());
		
		} else {

			//La lista continua o riparte, se c'era testo in after aggiungilo all'ultima partizione lista
			if(after.length() > 0) {
			
				output.append(after.toString());
				after = new StringBuilder();
			}

			if(topState != inSubNumber) {
			
				while(topState != inSubNumber) {
					
					topState = states.pop();
					
					if(topState == inLatin) { output.append("</mrk:numeroLatino>"); }
					
					if(topState == inLetter) { output.append("</mrk:lettera>"); }
					
					if(topState == inNumber) { output.append("</mrk:numero>"); }
				}
				
				states.push(inSubNumber);
			}
	
			getMarkerDocument().getContext().setCurrentPartType("sottoNumero");
			read();
		}
	}
            }
          // fall through
          case 32: break;
          case 13:
            { if(states.size() < 2) {
		
		//Nessuna lista attiva
		
		output.append(yytext());
	
	} else {
	
		//il testo va in after fino al raggiungimento di una nuova partizione lista o di EOF,
		//e solo a quel punto viene deciso se mettere il testo in after dentro la partizione lista o nella contenitrice
		 
		after.append(yytext());
	}
            }
          // fall through
          case 33: break;
          case 14:
            { yypushback(yylength()); yybegin(inPre);
            }
          // fall through
          case 34: break;
          case 15:
            { addOutputOrAfter(); yybegin(0);
            }
          // fall through
          case 35: break;
          case 16:
            { yypushback(yylength()); yybegin(inTable);
            }
          // fall through
          case 36: break;
          case 17:
            { yypushback(yylength()); yybegin(inSkip);
            }
          // fall through
          case 37: break;
          case 18:
            { yypushback(yylength()); yybegin(inParole);
            }
          // fall through
          case 38: break;
          case 19:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 9;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 10;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { if(after.length() > 0) {
		
		//After attivo, per il momento salva in after
		after.append(yytext());
		
	} else {
	
		output.append(yytext());
	} 

	yybegin(inLatinItem1);
            }
          // fall through
          case 39: break;
          case 20:
            { yypushback(yylength()); yybegin(inVirgolette);
            }
          // fall through
          case 40: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java List [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        List scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new List(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
